plplot (5.15.0+dfsg2-11build4) oracular; urgency=medium

  * Rebuild against new gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2024 17:55:08 +0200

plplot (5.15.0+dfsg2-11build3) oracular; urgency=medium

  * Rebuild against new octave-abi-59 and no newer gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2024 09:23:49 +0200

plplot (5.15.0+dfsg2-11build2) oracular; urgency=medium

  * Rebuild against new octave-abi-59 and no newer gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 18:16:54 +0200

plplot (5.15.0+dfsg2-11build1) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:55:44 +0000

plplot (5.15.0+dfsg2-11) unstable; urgency=medium

  * d/control: Make libplplotada-dev depend on libplplot-dev, instead
    of recommending it. Thanks to Nicolas Boulenguez
    <nicolas.boulenguez@free.fr> for suggesting the solution
    (Closes: #1070746)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 May 2024 16:42:36 -0300

plplot (5.15.0+dfsg2-10) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop unneeded build-dependencies.
    The packages dblatex, fop, ghostscript, texlive-xetex, and texlive are
    needed for building the documentation in PDF format, but this is not
    installed in the plplot-doc package.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 May 2024 06:34:50 -0300

plplot (5.15.0+dfsg2-9) unstable; urgency=medium

  * Upload to unstable, for the gnat-13 transition

 -- Rafael Laboissière <rafael@debian.org>  Sun, 17 Mar 2024 15:20:05 -0300

plplot (5.15.0+dfsg2-7+deb13u2) unstable; urgency=medium

  [ Matthias Klose ]
  * Use chrpath instead of patchelf. Closes: #1063796.

  [ Rafael Laboissière ]
  * d/rules: Disable bindings for D
  * d/control: Build-depend on pkgconf instead of pkg-config

 -- Rafael Laboissière <rafael@debian.org>  Thu, 29 Feb 2024 04:56:25 -0300

plplot (5.15.0+dfsg2-7+deb13u1) unstable; urgency=medium

  * d/rules: Avoid FTBFS on armhf.
    Thanks to Emanuele Rocca for the suggestion.
  * d/libplplotfortran0.symbols: Update list of symbols
  * d/control: Add ${fortran:Depends} to the list of dependencies of
    libplplot-dev

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Jan 2024 08:24:17 -0300

plplot (5.15.0+dfsg2-8) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * ada: build with gnat-13, dh-ada-library/9. New SOversion, unversioned -dev.
    Build with gnat-13.  Rename library package with new SOversion.
    Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * ada: restrict autopkgtest dependencies now that -dev carries no version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Jan 2024 16:57:42 -0300

plplot (5.15.0+dfsg2-7) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Depend on libfreetype-dev instead of deprecated libfreetype6-dev
  * d/rules: Use option -a when calling xvfb-run (get a free server number)

  [ Nicolas Boulenguez ]
  * ada: Break/Replace libplplotada*-dev since oldstable
  * python: remove d/clean, now redundant with dh_python3

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Jan 2024 14:21:00 -0300

plplot (5.15.0+dfsg2-6) unstable; urgency=medium

  * d/control: Add necessary Breaks+Replaces for libplplotada5
    (Closes: #1034936)

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Apr 2023 11:34:58 +0200

plplot (5.15.0+dfsg2-5) unstable; urgency=medium

  * Upload to unstable
  * d/p/octave-no-gui-test.patch: New file
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Jan 2023 18:22:25 -0300

plplot (5.15.0+dfsg2-4) experimental; urgency=medium

  * Reintroduce package octave-plplot
    + d/control:
      - Add stanza for octave-plplot package
      - Build-depend on dh-octave
    + d/rules: Build and install the Octave binding
    + d/libplplot-data.docs: Add files specific to the Octave binding
    + d/octave-plplot.install: New file
    + d/patches/octave-deprecated-operator.patch: New patch
    + d/NEWS: Document the change

 -- Rafael Laboissière <rafael@debian.org>  Wed, 28 Dec 2022 13:47:25 -0300

plplot (5.15.0+dfsg2-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 27 Dec 2022 17:24:52 -0300

plplot (5.15.0+dfsg2-2) experimental; urgency=medium

  * d/libplplotada4.1.install: Drop useless file
  * d/p/build-static-ada-library.patch: Add Forwarded field

 -- Rafael Laboissière <rafael@debian.org>  Thu, 08 Dec 2022 10:14:23 -0300

plplot (5.15.0+dfsg2-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 5.15.0+dfsg2
  * d/copyright: Exclude doc/wiki_source directory from tarball.
    These files do not end up in any binary package. They are a copy of
    the MarkDown sources of the upstream Wiki (which lives at
    https://sourceforge.net/p/plplot/wiki/Home/). Furthermore there is no
    Copyright notices for these files.
  * Compile and install a static library for the ADA binding
  * d/p/gfortran-divide-by-zero.patch: New patch
  * Adjust Lintian override files for new syntax (filenames inside braces)
  * d/libplplot-ocaml-dev.lintian-overrides: Drop obsolete file
  * d/rules: Exclude libplplotada.so.* from dwz processing
  * d/libplplotada4.1.install: New file
  * d/s/lintian-overrides: New file
  * d/p/path-for-bash.patch: New patch

  [ Nicolas Boulenguez ]
  * ada: build with gnat/12 and dh-ada-library/8, generate project with CMake

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Dec 2022 19:17:03 -0300

plplot (5.15.0+dfsg-30) unstable; urgency=medium

  * Team upload.
  * d/control: Transition to wxWidgets 3.2 (Closes: #1019840)

 -- Scott Talbert <swt@techie.net>  Wed, 19 Oct 2022 19:53:30 -0400

plplot (5.15.0+dfsg-29) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Drop dependency on dpkg (>= 1.15.4) | install-info (Closes: #1013855)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 05:24:56 -0300

plplot (5.15.0+dfsg-28) unstable; urgency=medium

  * d/control: Fix gnat dependencies for the 10->11 transition
    + Set gnat versioned dependencies for libplplotada4-dev
    + Restore the previous Build-Depends on gnat

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 May 2022 13:55:04 -0300

plplot (5.15.0+dfsg-27) unstable; urgency=medium

  * Upload to unstable, as part of the transition gnat 10 to 11
  * d/control: Adjust build-dependency to gnat >= 11 et << 12

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 May 2022 07:53:00 -0300

plplot (5.15.0+dfsg-26) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Rebuild with gnat-11

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Apr 2022 05:22:17 -0300

plplot (5.15.0+dfsg-25) unstable; urgency=medium

  * d/control:
    + Drop unused substitution variables ${shlibs:Depends}
    + Set "Multi-Arch: same" for plplot-driver-qt
  * Remove RUNPATH from OCaml binding library
    + d/control: Build-depend on patchelf
    + d/rules: Use patchelf to remove the rpath
  * d/plplot-examples.lintian-overrides: Fix override message
  * d/copyright: Update copyright year for debian/* files
  * d/libplplot-ocaml-dev.lintian-overrides: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Apr 2022 09:10:42 -0300

plplot (5.15.0+dfsg-24.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch libltdl3-dev to libltdl-dev. (Closes: #1008470)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 21:49:36 +0200

plplot (5.15.0+dfsg-24) unstable; urgency=medium

  * d/t/control: Make the unit test plplot-test depend on ccache
  * d/copyright: Update copyright year for the debian/* files
  * d/plplot-examples.lintian-overrides:
    + Update message for tag example-unusual-interpreter
    + Add override for bash-term-in-posix-shell
  * d/plplot-tcl.lintian-overrides: Update message for tag
    package-name-doesnt-match-sonames
  * Proper installation of the plplot*.jar files
    + d/control:
      - Build-depend on javahelper
      - Add ${java:Depends} to the list of dependencies of libplplot-java
    + d/libplplot-java.install: Do not install the /usr/share/java directory
    + d/libplplot-java.jlibs: Declare plplot.jar
    + d/rules:
      - Use "--with javahelper" in dh sequencer
      - Override dh_missing for exclusion of usr/share/java/plplot.jar

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Nov 2021 04:24:57 -0300

plplot (5.15.0+dfsg-23) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: Accentuate my family name
  * d/p/sip-include-dirs.patch: New patch (Closes: #997739)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 03 Nov 2021 12:33:33 -0300

plplot (5.15.0+dfsg-22) unstable; urgency=medium

  * Upload to unstable (really, closes: #964127, #990397)
  * d/rules: Use target execute_after_dh_auto_install instead of
    override_dh_auto_install

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 06:05:33 -0300

plplot (5.15.0+dfsg-21) experimental; urgency=medium

  * Build and install the PDF driver
  * d/p/reentrant-qhull.patch: New patch.
    Thanks to Stefan Büns for the patch and Atri Bhattacharya for the suggestion
    (Closes: #990397)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Jul 2021 14:40:46 -0300

plplot (5.15.0+dfsg-20) experimental; urgency=medium

  * d/rules: Explicitly disable the building of Octave binding
  * Add support for SIP 5/6
    + d/control: Build-Depends on python3-pyqtbuild and sip-tools
      instead of python3-pyqt5 and python3-sip-dev
    + d/p/sip-build-support.patch: New patch
    Thanks to Dmitry Shachnev <mitya57@debian.org> for the patch
    (Closes: #964127)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Jun 2021 03:13:05 -0300

plplot (5.15.0+dfsg-19) unstable; urgency=medium

  * d/rules: Really generate the d/plplotada.gpr file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 14 Dec 2020 14:45:18 -0300

plplot (5.15.0+dfsg-18) unstable; urgency=medium

  * d/p/show-freetype-fonts.patch: New patch
  * d/control: Change fonts-freetype-ttf from Build-Depends-Indep to
    Build-Depends. This is necessary to have the FreeType support
    included in libplplot.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 13 Dec 2020 11:34:49 -0300

plplot (5.15.0+dfsg-17) unstable; urgency=medium

  * Upload to unstable. This version does not ship octave-plplot
    (Closes: #976382)
  * Allow proper development with libraries libcsiro(csa|nn)
    + d/control: Add dependencies on libcsiro(csa|nn)0
    + d/libplplot-dev.install: Include header files csa.h and nn.h
  * Add symbols files for all non-C++ shared library shipped in the package
  * d/p/python3-interpreter-in-examples.patch: New patch
  * Override Lintian warnings no-symbols-control-file for
    d/lib*.symbols files containing C++ mangled symbols
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 11 Dec 2020 16:50:17 -0300

plplot (5.15.0+dfsg-16+gnat10) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Rebuild with gnat-10. Rename Ada lib and -dev packages accordingly.
  * Patch allowing Debian to set the Ada shared object version

  [ Rafael Laboissière ]
  * Release to experimental
  * Drop the octave-plplot package

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Nov 2020 06:46:20 -0300

plplot (5.15.0+dfsg-16) unstable; urgency=medium

  * d/pbuild-against-qt-5.15.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Nov 2020 12:53:53 -0300

plplot (5.15.0+dfsg-15) unstable; urgency=medium

  * d/libplplot-dev.lintian-overrides: Drop override for obsolete tag
    pkg-config-references-unknown-shared-library
  * d/p/pyqt5-sip-path.patch: New patch.
    The path for the *.sip files have changed in version  5.15.1 of the
    pyqt5-dev package.  This was causing a FTBFS.
    Thanks to Alan W, Irwin for the patch (Closes: #971215)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Oct 2020 02:13:58 -0300

plplot (5.15.0+dfsg-14) unstable; urgency=medium

  * d/rules: Force a lower optimization level on ppc64el.
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>
    (Closes: #946504)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Sep 2020 06:11:39 -0300

plplot (5.15.0+dfsg-13) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/copyright: Add stanza for debian/* files
  * d/libplplot-dev.fortran-mod: Add list of files fir dh_fortran_mod
  * d/not-installed: New file
  * Override Lintian warning exit-in-shared-library:
    + d/plplot-tcl.lintian-overrides
    + d/libcsirocsa0.lintian-overrides
    + d/libcsironn0.lintian-overrides
    + d/libqsastime0.lintian-overrides
    + d/libplplot17.lintian-overrides
  * d/plplot-examples.lintian-overrides:
    Override package-contains-no-arch-dependent-files
  * d/plplot-examples.lintian-overrides: Override repeated-path-segment
  * d/p/Proper-use-of-the-rmpath-function.patch: Drop bogus patch
  * Add header Forwarded:not-needed:
    + d/p/Remove-nondfsg-dirs.patch
    + d/p/replace-gdc-extensions.patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 17:50:17 -0300

plplot (5.15.0+dfsg-12) unstable; urgency=medium

  * Source upload to unstable, in the context of the gnat-8 → gnat-9
    transition.
  * d/control:
    + Add dependencies on gnat
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Fix short description of package plplot-examples
  * d/plplot-examples.lintian-overrides: Fix  override
    example-unusual-interpreter
  * Build with dh-fortran-mod

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Feb 2020 11:27:30 -0300

plplot (5.15.0+dfsg-11) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Rebuild with gnat-9. Rename ada-dev package. (Closes: #946400)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Dec 2019 04:56:07 -0300

plplot (5.15.0+dfsg-10+gnat8+1) unstable; urgency=medium

  * Add new package plplot-examples.
    The files in this new package used to be in plplot-doc.  However,
    there are hardcoded architecture tuples in some of the Makefiles, what
    justify this new package being Arch:any. (Closes: #948167)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 05 Jan 2020 11:11:05 -0300

plplot (5.15.0+dfsg-10) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Drop an explicit dependency in tests/control.
  * Delegate temporary directory to autopkgtests.
  * Remove the workaround preventing compression of examples.
  * Drop HOME unused variable from debian/rules.
  * Import specific dpkg makefile snippets instead of default.mk.
  * Enable all linker checks.
  * Compile Ada with hardening flags.
  * Improve transmission of configuration variables.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Dec 2019 12:54:43 -0300

plplot (5.15.0+dfsg-9) unstable; urgency=medium

  * d/control: Add necessary Breaks+Relplaces relationships for libplplot-data.
    Thanks to Andreas Beckmann, for reporting the bug. (Closes: #946436)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Dec 2019 00:18:34 -0300

plplot (5.15.0+dfsg-8) unstable; urgency=medium

  * Add libplplot-data package containing arch-indep data files
  * d/rules:
    + Remove the unnecessary *.in files in the examples directories
    + Fix path in shebang line of Tk example scripts
  * d/plplot-doc.lintian-overrides:
    + Override warning about duplication of *.tcl files
    + Override warning about wrong shebang path
  * d/libplplot17.lintian-overrides: Override shlib-calls-exit warning

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Dec 2019 09:23:04 -0300

plplot (5.15.0+dfsg-7) unstable; urgency=medium

  * d/t/control: Make the unit tests depend on the build-dependencies

 -- Rafael Laboissière <rafael@debian.org>  Fri, 29 Nov 2019 02:47:07 -0300

plplot (5.15.0+dfsg-6) unstable; urgency=medium

  * d/t/control: Add the appropriate dependencies for the unit tests

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 Nov 2019 09:57:35 -0300

plplot (5.15.0+dfsg-5) unstable; urgency=medium

  [ Ole Streicher ]
  * Make more internal dependencies versioned
  * Build-depend only on python3-dev: we build only for the default version
    (Closes: #942762)
  * Remove old binNMU entry without correct mail address from d/changelog
  * Force verbose build messages
  * Change install-tree location of wxPLViewer (Closes: #944579)

  [ Rafael Laboissière ]
  * d/control:
    + Bump build-dependency on dh-octave to >= 0.7.1
    + Add myself to the Uploaders list
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/rules:
    + Run dh_octave_substvar after dh_shlibdeps
    + Build plplotada.gpr in the rule for override_dh_auto_configure
    + Add -fPIC compiler flag for building the C++ examples
  * d/clean: Remove leftover directory __pycache__
  * Reintroduce unit tests at build time and for autopkgtest
  * d/plplotada.gpr.in:
    + Remove extraneous closing parenthesis
    + Fix path for Library_Ali
    + Fix syntax after use keyword

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Nov 2019 06:35:26 -0300

plplot (5.15.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Rebuild for Octave 5 transition, against fixed swig
  * replace-gdc-extensions.patch: new patch, fixes FTBFS against recent gdc

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 Oct 2019 11:15:14 +0200

plplot (5.15.0+dfsg-3) unstable; urgency=low

  * Remove shlibdeps hack

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Aug 2019 14:26:21 +0200

plplot (5.15.0+dfsg-2) unstable; urgency=low

  * Switch back to unstable to start transition

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Aug 2019 09:12:38 +0200

plplot (5.15.0+dfsg-1) experimental; urgency=low

  * New upstream version 5.15.0+dfsg. Rediff patches
  * Push Standards-Version to 4.4.0. No changes needed
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa
  * Rebuild against wxWidgets GTK 3 package (Closes: #933421)
  * Update lintian overrides
  * Update package names for new SONAMEs
  * Switch to experimental to prepare transition

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Aug 2019 14:47:06 +0200

plplot (5.14.0+dfsg-3) unstable; urgency=medium

  * Fix Breaks of libplplotada1-dev (Closes: #917990)

 -- Ole Streicher <olebole@debian.org>  Sun, 06 Jan 2019 15:32:01 +0100

plplot (5.14.0+dfsg-2) unstable; urgency=medium

  * Add Breaks+Replaces for old libplplotada-dev. Closes: #917990

 -- Ole Streicher <olebole@debian.org>  Wed, 02 Jan 2019 13:57:57 +0100

plplot (5.14.0+dfsg-1) unstable; urgency=medium

  * Temporariliy disable built time and CI tests
  * Push Standards-Version to 4.3.0. No changes needed
  * Switch back to unstable to start transition

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Dec 2018 13:29:12 +0100

plplot (5.14.0+dfsg-1~exp2) experimental; urgency=medium

  * Remove failing Qt tests

 -- Ole Streicher <olebole@debian.org>  Sun, 23 Dec 2018 22:52:12 +0100

plplot (5.14.0+dfsg-1~exp1) experimental; urgency=medium

  [ Ole Streicher ]
  * Add upstream PGP signature
  * New upstream version 5.14.0+dfsg. Rediff patches. Closes: #916714
  * SONAME changes. Change to experimental to prepare transition.
    Closes: #914680
  * Move all examples into the doc package
  * Remove Python 2 packages
  * Fix lua install dir
  * Whitespace cleanup and untabify in d/changelog
  * Remove -fPIC from plplot-qt.pc
  * Remove unused TRY_OCTAVE4 config option

  [ Nicolas Boulenguez ]
  * Improve readability of watch file thanks to version 4 of uscan format.
  * Complete the link step of the Ada project. Closes: #821278.
  * Delegate selection of default build flags to dpkg-buildflags.

 -- Ole Streicher <olebole@debian.org>  Fri, 21 Dec 2018 21:37:52 +0100

plplot (5.13.0+dfsg-10) unstable; urgency=low

  * Rebuild with gnat-8.

  [ Nicolas Boulenguez <nicolas@debian.org> ]
  * Rename -dev and library packages as per Debian Policy for Ada.
  * Explicitly Build-Depend on both gnat and gnat-8.
  * Install a GNAT project. Closes: #821278. Remove Multi-Arch: same.
  * Install a README.Debian into the -dev package.

 -- Ole Streicher <olebole@debian.org>  Fri, 09 Nov 2018 13:43:04 +0100

plplot (5.13.0+dfsg-9) unstable; urgency=medium

  [ Sergei Golovan ]
  * Switch to Itcl/Itk 4 (Closes: #893413)

  [ Michael Cree ]
  * Don't misdetect compiler on Alpha as not supporting NaN (Closes: #901920)

  [ Adrian Bunk ]
  * python-plplot-qt lost its generated python dependencies (Closes: #906050)

  [ Ole Streicher ]
  * Push Standards-Version to 4.2.1. No changes needed.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Oct 2018 14:16:29 +0200

plplot (5.13.0+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Ole Streicher ]
  * Update VCS fields to use salsa.d.o
  * Remove Python3 dependency from python-plplot-qt

  [ Andreas Tille ]
  * Field Mailing list is not defined in
    https://wiki.debian.org/UpstreamMetadata

  [ Sébastien Villemot ]
  * i386-mieee-fp.patch: new patch, fixes FTBFS on i386

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Jun 2018 10:41:40 +0200

plplot (5.13.0+dfsg-7) unstable; urgency=low

  * Fix build with OCaml 4.06

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Nov 2017 15:11:16 +0100

plplot (5.13.0+dfsg-6) unstable; urgency=medium

  * Convert remaining symlinks (Closes: #875911)
  * Push Standards-Version to 4.1.1. No changes required.

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2017 11:32:13 +0200

plplot (5.13.0+dfsg-5) unstable; urgency=medium

  * Convert old symlink to directory in libplplot-dev

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Sep 2017 09:33:42 +0200

plplot (5.13.0+dfsg-4) unstable; urgency=medium

  * Install all packages for CI test (still fails, however)
  * Fix version number in maintscript.
  * Move plserver program to plplot-tcl-bin package and /usr/bin

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Sep 2017 16:00:32 +0200

plplot (5.13.0+dfsg-3) unstable; urgency=medium

  * Add CMake plplot config files to libplplot-dev
  * Disable ocaml tests on MIPS completely

 -- Ole Streicher <olebole@debian.org>  Sun, 24 Sep 2017 11:13:40 +0200

plplot (5.13.0+dfsg-2) unstable; urgency=medium

  * Adjust Multi-Arch according to hinter
  * Fix symlink->directory change command in installer scripts
  * Fix ocaml dependencies
  * Completely disable x22ocaml test. (Closes: #876485)
  * Fix python libraries for different python versions

 -- Ole Streicher <olebole@debian.org>  Sat, 23 Sep 2017 15:30:28 +0200

plplot (5.13.0+dfsg-1) unstable; urgency=low

  * Finally make all occaml test failures non-fatal
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Sep 2017 08:45:48 +0200

plplot (5.13.0+dfsg-1~exp3) experimental; urgency=low

  * Disable more failing ocaml tests: x16ocaml, x22ocaml

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Sep 2017 17:27:52 +0200

plplot (5.13.0+dfsg-1~exp2) experimental; urgency=low

  * Fix CI test subdir name
  * Merge patches from Ubuntu
  * Convert symlinks from old packages to directories on upgrade
    (Closes: #875913)
  * Disable failing test x09ocaml

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Sep 2017 09:26:16 +0200

plplot (5.13.0+dfsg-1~exp1) experimental; urgency=medium

  * New maintainer and debian-science team maintenance. Closes: #867049
  * Convert repository to git
  * Push Standards-Version to 4.1.0
  * Update maintainer and URLs in d/control and d/copyright
  * New upstream version 5.13.0+dfsg. Closes: #873998, #807016
  * Switch to experimental. Prepare transition for new SONAMEs
  * New/re-enabled bindings: ocaml, ada, python3, python3-qt, octave
  * Disable OCaml Cairo bindings (not built upstream by default)
  * Split CSIRO package in to nn and csiro packages
  * Update license of csiro and nn libraries. Closes: #500687
  * Use Qt5 instead of Qt4. Closes: #875101
  * Separate wxwindows and Qt driver from bindings
  * Reformat patches for gbp
  * Simplify debian files. Revert preprocessing for d/control.in
  * Fix dependencies. Closes: #787818
  * Remove Multi-Arch from plplot-tcl. Closes: #762736
  * Install unprocessed examples. Closes: #762735, #762737
  * Add build time tests
  * Initial d/u/metadata
  * Added Build-bindings-for-all-Python-versions.patch

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Sep 2017 22:00:33 +0200

plplot (5.10.0+dfsg2-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with cmake >= 3.6.2. Closes: #835708

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Sep 2016 09:12:35 +0200

plplot (5.10.0+dfsg2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with "dpkg-buildpackage -A" by letting build-indep-stamp
    depend on config-stamp in debian/rules. (Closes: #816987)

 -- Axel Beckert <abe@debian.org>  Wed, 03 Aug 2016 21:18:45 +0200

plplot (5.10.0+dfsg2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch enabling/disabling of D and Octave support to slice +
    debian/control.in instead of commenting. Allow to disable ADA support
    completely (not only for sh4) that way, too.
  * Disable ADA and D support which currently FTBFS. (Closes: #809592)
  * Update debian/control from debian/control.in with "debian/rules
    control".
  * Replace out-dated debian/README.source with according instructions.

 -- Axel Beckert <abe@debian.org>  Tue, 16 Feb 2016 22:32:30 +0100

plplot (5.10.0+dfsg2-0.1) unstable; urgency=low

  [ Axel Beckert ]
  * Non-maintainer upload.
  * Repack upstream tarball to no more include non-free image lena.*.
    + Add patch to remove handling of lena images from multiple files.
    + Add according Files-Excluded header to debian/copyright.
    + Fixes lintian-reported error license-problem-non-free-img-lenna.
    + Closes: #794857
  * debian/copyright: Add missing path element in URL in Source field.
    Issue found by DUCK.
  * Add build-dependency on dh-python to fix FTBFS in
    bindings/python/CMakeFiles/plplot_widgetmodule.dir/plplot_widgetmodule.c.o.

  [ Peter Michael Green ]
  * Apply upstream patch to fix build with cmake 3.1 (Closes: #789619)
  * Disable octave support as it's currently broken
    + see my post to bug #789619 for further info on the error
    + debian/rules and debian/control changes adapted from 5.10.0-0ubuntu5
      package by Matthias Klose
    + also moved liboctave-dev build-depends to build-conflicts as
      upstream buildsystem was trying to build octave stuff even without
      debian/rules telling it to.
  * Add tcl8.6 and tk8.6 to build-conflicts, having multiple versions of
    tcl/tk arround seems to break the build.

 -- Axel Beckert <abe@debian.org>  Wed, 14 Oct 2015 17:17:48 +0200

plplot (5.10.0+dfsg-1) unstable; urgency=low

  * Repackage upstream source to remove non-DFSG compliant documentation.
    This is regenerated automatically anyway. Fixes lintian errors.
  * debian/watch: Update watch file to account for mangled version with
    +dfsg suffix. Avoids lintian warning.
  * debian/rules, debian/repack: Add target to automatically download
    and clean up source to remove non-DFSG compliant code.
  * debian/README.Debian: Document changes to make the package DFSG
    compliant.
  * debian/patches/fix_config_h_clash: New patch from upstream to fix name
    clash with HAVE_CONFIG_H. (Closes: #761176).
  * debian/copyright: Update to use new machine readable format, and to
    include fuller details of files which have different licensing
    conditions to the standard LGPL. (Closes: #761057)
  * debian/control.in: Include libplplot-dev dependencies on
    plplot12-driver-qt and plplot12-driver-wxwidgets to avoid dangling
    symlinks. (Closes: #715105). Change build dependency on
    ttf-freefont transitional package to fonts-freefont-ttf.
  * debian/patches/set_cmake_policy: Set cmake policy CMP0026 to old to
    allow compilation with cmake 3. For installed examples also set cmake
    policy CMP0046 to old to suppress warnings.
  * debian/patches/octave_3.8_support.diff: Fix bug introduced in octave
    example 07.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 16 Sep 2014 13:42:23 +0100

plplot (5.10.0-0.1) unstable; urgency=low

  [Thibaut Paumard <thibaut@debian.org>]
  NMU to fix remaining issue, based on package proposed for sponsorship by
  original maintainer:
  * Bug fix: "plplot FTBFS due to HDF5 transition", thanks to Thibaut
    Paumard (Closes: #760943) (new patch: dont-check-for-hdf5_h)

  [Andrew Ross <andrewross@users.sourceforge.net>]
  * New upstream version (closes: #740085, #707268, #713309, #736392, #747053,
    #719799)
  * debian/patches/: Remove patches now in upstream and update remaining
    patches.
  * debian/patches/octave_3.8_support.diff: Fix some issues with octave 3.8
    support (backport from upstream). Also remove obsolete continuation
    markers to suppress octave warnings.
  * debian/rules, debian/control.in: Use xvfb-run to run cmake since
    auto-detection of tk components requires an X11 display and may fail for
    autobuilders. Add the required build dependencies on xvfb, xauth and
    iwidgets4.
  * debian/get-upstream-version.pl: Update to reflect changes in how the
    plplot version is stored in the upstream source.
  * debian/rules, debian/control.in: Update arch-indep build dependencies and
    remove references to postscript version of documentation to reflect
    changes to the way documentation is built.
  * debian/control.in: Update build dependencies to use wxwidgets-3.0 (closes:
    #749488) and gnat-4.9 (closes: #728152)
  * debian/rules: Add -source and -target options to javac command line. Fixes
    lintian warning.
  * debian/control.in: Bump standards version to 3.9.5. Fixes lintian warning.
  * debian/patches/fix-wxwidgets-linkage.diff: Add new patch to explicitly link
    libplplotd to libwxwidgetsd. Fixes dpkg-shlibdeps warnings.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Sep 2014 18:17:43 +0200

plplot (5.9.10-2) UNRELEASED; urgency=low

  * debian/changelog: Upload to experimental not unstable.
  * debian/compat, debian/control.in: Update to compatibility version 9
    for debhelper to remove lintian warning.
  * debian/rules: Fix bug in rules for case where ada is not supported.
  * debian/control.in: Fix short description for plplot-tcl-bin package.
  * debian/rules: For tcl scripts in the tk examples then make symlinks rather
    than duplicating files in the tck examples.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 05 Nov 2013 08:56:45 +0000

plplot (5.9.10-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches/series: Remove backported patches no longer need with
    current release and update remaining patches.
  * debian/control.in: Update dependencies for new documentation build system
    and to include shapelib (needed for new map support).
  * debian/control.in, debian/rules, debian/*.files:
    Rename packages to reflect bump in SONAME version.
  * debian/control.in: Drop support for f77 bindings (deprecated upstream
    and replaced by the better f95 bindings).
  * debian/libplplot12.files: Ensure shape file versions of the maps are
    installed.
  * debian/control.in, debian/rule: Drop the gd driver support and the
    plplot11-driver-gd package. No longer supported upstream and superceded
    by cairo and qt drivers. (Closes: #738242)
  * debian/patches/series, debian/patches/fix-d-examples.diff: Fix from
    upstream for D example 20 so it compiles with latest gdc.
  * debian/rules: Fix command line options for python-config to prevent an
    error.
  * debian/control.in, debian/rules, debian/*.files: Update package to be
    multiarch compatible. (Fixes some lintian warnings).
  * debian/rules: Force compatibility with java 5 (default on some platforms).
    Fixes lintian warning.
  * debian/patches/series, debian/patches/fix_python_exec_bit.diff: Fix
    incorrect executable bit on python script. Fixes lintian warning.
  * debian/libplplot-ada1.lintian-overrides,
    debian/libplplot-fortran10.lintian-overrides,
    libplplot-ocaml.lintian-overrides: Suppress hardening warnings for ada,
    fortran and ocaml compiled code since they are not relevant.
  * debian/control.in, debian/plplot-tcl-bin.files, debian/plplot-tcl.files,
    debian/patches/series, debian/patches/add-tcl-multiarch.diff: Move
    pltcl to a new plplot-tcl-bin package and move plserver to a location in
    the library path (executable by the library not the user). Required to make
    the tcl packages multiarch compliant.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 01 Oct 2013 12:44:20 +0100

plplot (5.9.9-7) UNRELEASED; urgency=low

  * debian/patches/fix-cmake-ada-support.diff: Update ada support from
    upstream to ensure plplot builds with latest Ada compiler in unstable.
  * debian/rules: Update python library path.
  * debian/patches/fix-cmake-d-support.diff: Add patch from upstream to
    fix D language support.
  * debian/patches/java-pltr2-fix.diff: Add patch from upstream to fix
    crash in java examples using pltr2 (closes: #713309).
  * debian/control.in: Bump standards version to 3.9.4.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Fri, 28 Jun 2013 21:15:24 +0100

plplot (5.9.9-6) unstable; urgency=low

  * debian/control.in: Remove build dependency on quilt since this is
    not required for 3.0 (quilt) source packages. Fixes lintian warning.
  * debian/rules: Get CPPFLAGS using dpkg-buildflags to use fortified libc
    functions. NB needs to work around cmake "feature" which ignores CPPFLAGS
    at present. Fixes lintian warning.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 13 Aug 2012 21:05:25 +0100

plplot (5.9.9-5) unstable; urgency=low

  * debian/patches/series, debian/patches/fix-cmake-ada-support.diff:
    Add patch from upstream to fix cmake ada support with cmake 2.8.9 and later
    (closes: #680841).
  * debian/patches/series, debian/patches/fix-lua-includes.diff:
    Add patch to work around problem with lua cmake support. Debian now requires
    multiple include paths which were not found correctly. This prevents a FTBFS
    with recent versions of lua5.1.
  * Recompile with latest version of gfortran (closes: #683878).

 -- Andrew Ross <andrewross@users.sourceforge.net>  Wed, 08 Aug 2012 09:34:10 +0100

plplot (5.9.9-4) unstable; urgency=low

  * debian/rules:
    + Fix bug in building binary-arch target on autobuilders.
    + Remove workaround for executable permissions bug in 5.9.8.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Wed, 04 Apr 2012 21:27:11 +0100

plplot (5.9.9-3) unstable; urgency=low

  [ Andrew Ross ]
  * debian/control.in:
    + Bump standards version to 3.9.3.
    + Fix broken suggests package plplot11-tcl for libplplot11.
    + Remove reference to ada-compiler in libplplot-ada0-dev package as per new
      Debian Ada policy. Fixes lintian warning.
    + Add note for fortran bindings package description that Fortran 77 support
      is deprecated in the current upstream SVN and will be dropped in a future
      release. New code should use the Fortran 95 bindings.
  * debian/rules:
    + Tidy up obsolete / unneeded code.
    + Ensure CFLAGS, CXXFLAGS and LDFLAGS are properly exported to cmake. Add in
      FFLAGS. -fvisibility=hidden and --as-needed should now work properly. The
      latter fixes a lot of dpkg-shlibdeps warnings.
  * debian/patches/series, debian/patches/08_nn_link_libm.diff: Add patch to
    explicitly link nn library against maths library. Fixes dpkg-shlibdeps
    warning.
  * Rebuild python-plplot package against new version of numpy as part of the
    numpy transition.

  [ Rafael Laboissiere ]
  * debian/control.in:
    + Build-depend on liboctave-dev
    + Drop build-conflict with octave3.0-headers
    + Depend directly on octave, instead of using the substitution
      variable ${octave:Depends}
  * debian/rules:
    + Set directly the Octave paths, instead of using defs.make
    + Drop the call to octave-depends
  * Adjust the upstream code for working with Octave 3.6.1, by adding the
    following patches:
    + debian/patches/replace-deprecated-split.diff
    + debian/patches/proper-path-handling.diff
    + debian/patches/fix-boolean-operators.diff
  * debian/octave-plplot.files: The path in /usr/lib has now an
    architecture triplet

  [ Andrew Ross ]
  * debian/patches/replace-deprecated-split.diff:
    + Fix use of split in the test_octave.sh test script as well. This plus
      previous changes by Rafael fix octave-3.6 support (closes: #666708).

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 02 Apr 2012 15:30:25 +0100

plplot (5.9.9-2) unstable; urgency=low

  * debian/control.in: Add recommends on cmake for libplplot-dev since
    this provides a better way of building the examples.
  * Force rebuild to fix dependency problems with ada development library
    and gnat-4.6 which make libplplot-ada0-dev uninstallable.
  * Add explicit dependency on gdc-v1 as package is not yet ready for gdc
    version 2 which is the new default with gdc-4.6 (closes: #653088).

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 03 Jan 2012 16:09:55 +0000

plplot (5.9.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/series: Remove patches from upstream which are included
    in the new release.
  * debian/control.in:
    + Add back in dependencies (rather than recommends) on the C++
      and fortran libraries. This does pull in extra libraries if you
      only wish to develop with one language, but reverts to the old
      behaviour (closes: #642715).
  * debian/control.in, debian/libplplot-ada0.files,
    debian/libplplot-ada0-dev.files, debian/libplplot-dev, debian/rules,
    debian/README.Debian:
    + Split off ada development files from libplplot-dev package into new
      libplplot-ada0-dev package. Move .ali files from libplplot-ada into
      libplplot-ada0-dev package as per Debian Ada policy. Add explicit
      dependency on ada-compiler, gnat and gnat-4.6 as per policy.
      (closes: #644105, #644110, #644112)
    + Rename libplplot-ada package to libplplot-ada0 so it includes the
      library soversion as per Debian Ada policy.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Thu, 27 Oct 2011 21:30:38 +0100

plplot (5.9.8-2) unstable; urgency=low

  * debian/control.in:
    + Change package priority to optional as per policy.
    + Add libplplot-dev dependency on libqsastime-dev (closes: #642146).
    + Fix description for libplplot-dev package (closes: #642122).
  * debian/plplot-tcl-dev.lintian-overrides: Fix lintian overrides.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 19 Sep 2011 20:38:55 +0100

plplot (5.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Bump standards version to 3.9.2.
  * debian/NEWS: update NEWS file for 5.9.8.
  * debian/control.in, debian/rules, debian/*.files:
    Rename packages to reflect bump in SONAME version.
  * Rebuild against gfortran-4.6 (closes: #635739).
  * debian/rules:
    + Update to reflect changes in upstream ChangeLog file name.
    + Tidy up some old comments.
    + Change from calling ctest to using "make test_noninteractive"
      to run the tests. Also include .NOTPARALLEL target to prevent the
      rules makefile being parallelised. Instead pass -j options to the
      plplot make files. This allows parallel builds to work correctly.
    + Fix a temporary permissions problem with test script in the 5.9.8
      tarball.
    + Fix dependency generation for octave package.
    + Fix python build so that the installed example Makefiles are
      properly configured.
  * debian/rules, debian/control.in, debian/libplplot-ocaml.files:
    Add new libplplot-ocaml package which includes the OCaml bindings.
  * debian/rules, debian/control.in, debian/libplplot-lua.files:
    Add new libplplot-lua package which includes the lua bindings.
  * debian/rules, debian/control.in, debian/libplplot-d.files:
    Add new libplplot-d package which includes the D language bindings.
  * debian/rules, debian/control.in, debian/python-plplot-qt.files:
    Add new python-plplot-qt package which includes the python bindings to
    allow use of the plplot API in qt applications.
  * debian/control.in:
    + Remove dependency of libplplot-java on default-jre as per policy.
      Java libraries do not need to depend on a java runtime. Fixes
      lintian warning.
    + Tidy up section / priority headers for the packages.
  * debian/patches/series, debian/patches/08_oct_perms.diff,
    debian/patches/09_qt_nodisplay.diff,
    debian/patches/10_fix_test_scripts.diff,
    debian/patches/11_ocaml_library_location.diff,
    debian/patches/12_qt_unload_fix.diff
    + Add new patch to turn off execute permissions for plplot_octave.oct
      (fixes lintian error).
    + Add patch from upstream to enable non-interactive qt devices to work
      even if DISPLAY is not set (prevents error when running tests on a
      buildd / using pbuilder).
    + Add new upstream patch to remove spurious chmod commands from test
      scripts. This ensures the installed examples will work as expected.
    + Add new upstream patch to change the install location for OCaml
      libraries to remove the OCaml version (as per Debian OCaml practice)
      and to remove the execute permissions for the stublibs.
    + Add temporary workaround from upstream to prevent crash on exit with
      the qt driver and Qt-4.7.3.
  * debian/copyright: Make explicit that the license is LGPL-2 (fixes
    lintian warning). Update consistent with upstream copyright file.
  * debian/control.in, debian/rules, debian/libqsastime0.files,
    debian/libqsastime-dev.file:
    Split libqsastime off into separate library and devel packages.
  * debian/libplplot-dev.files, debian/libplplot-fortran9.files:
    Move fortran .h and .mod files to the libplplot-dev package as these
    are required for compiling fortran with plplot and not for runtime.
  * debian/plplot-tcl-dev.lintian-overrides: Add lintian override for
    informational warning about interpreter path not being absolute.
  * debian/rules: Add -fvisibility=hidden to CFLAGS and -Wl,--as-needed
    to LD_FLAGS to only export required symbols and prevent linking in
    unnecessary libraries. Reduces the dependency requirements,
    particularly for the drivers.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Fri, 2 Sep 2011 20:35:33 +0100

plplot (5.9.7-1) UNRELEASED; urgency=low

  * New upstream release (closes: #564216).
  * debian/rules: remove -DHAVE_PTHREADS=ON option as it is on by default.
    Option name is also likely to change in future releases.
  * debian/control.in, debian/rules, debian/python-plplot.files: change from
    using dh_pycentral to dh_python2 (closes: #616942). Also fixes lintian warning.
  * debian/control.in: minor tweaks to package descriptions.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Wed, 16 Mar 2011 11:10:59 +0000

plplot (5.9.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/patches/series:
    + Remove the following patches which are included upstream
        11_minus-sign-manpage.diff
        16_wxwidget-with-cmake-2.8.diff
        17_fix_cmap_support.diff
        18_update_cmake_fortran.diff
      and delete the patches from the patches directory.
    + Comment out 07_octave_prune_examples.diff from the list of applied
      patches, but leave patch for now to see if octave example p7 is ok
      on alpha.
    + Update remaining patches for 5.9.6.
  * debian/control.in: drop plplot-bin package altogether as all these scripts
    are now obsolete.
  * debian/control.in, debian/rules, debian/plplot9-driver-qt.files:
    Add new plplot9-driver-qt package which includes the qt driver and bindings.
  * debian/source/format: Add file to select 3.0 (quilt) format for the package.
    Fixes lintian warning.
  * debian/NEWS: update NEWS file for 5.9.6.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Fri, 27 Aug 2010 23:31:10 +0100

plplot (5.9.5-4) unstable; urgency=low

  * debian/rules, debian/control.in: update to use dh_numpy in debian/rules
    to get versioned numpy support. Requires python numpy >= 1:1.1.4.1-4~
    (closes: 590770).
  * debian/control.in: Bump standards version to 3.9.1.
  * debian/control.in, debian/plplot-bin.files: remove references to plrender
    in package descriptions (no longer included) and also remove plpr / plm2gif
    scripts which rely on plrender.
  * debian/control.in: Fix spelling mistake in cairo driver package
    (closes: 592970)
  * debian/patches/18_update_cmake_fortran.diff: Remove plplot workaround for
    cmake fortran support as this is no longer needed with cmake 2.8.2 and
    causes errors building the f77 and f95 libraries.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Thu, 26 Aug 2010 13:38:26 +0100

plplot (5.9.5-3) unstable; urgency=low

  * debian/control.in:
      + Remove Rafael Laboissiere from the list of uploaders as he has
        now retired from Debian (closes: #571874).
      + Bump Debian standards version to 3.8.4.
  * debian/control.in, debian/rules: Correctly disable ada support for
    sh4 (closes: #572028). Enable ada support on armel now that gnat is
    available (closes: #568451).
  * debian/rules: Force tclsh to /usr/bin/tclsh8.5 - avoids problems if
    tcl8.4 is also installed so /usr/bin/tclsh points to a different
    version.
  * debian/patches/17_fix_cmap_support.diff, debian/patches/series: Add
    bug fix patch from upstream to fix cmap palette support. This fixes
    the blank pages in the ada examples (and possibly user code).

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 01 Mar 2010 14:03:40 +0000

plplot (5.9.5-2) unstable; urgency=low

  * debian/control.in: Update to use octave3.2 - octave 3.0 will shortly be
    dropped.
  * debian/rules: explicitly enable jpeg, png and gif drivers as they are
    now disabled by default. Eventually these will be replaced by cairo
    and qt drivers, but keep them in for now until these packages have
    settled down.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 22 Feb 2010 12:50:40 +0000

plplot (5.9.5-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/patches/series: Remove the following patches which are no longer
    required as they are now included upstream
      13_fix-kfreeBSD-build.diff
      14_octave-3.0-fixes.diff
      15_octave-toggle-plplot-use.diff
    and clean up directory by deleting unused patches.
  * debian/patches/02_unset-python-path.diff,
    debian/patches/04_use-mkoctfile.diff,
    debian/patches/07_octave_prune_examples.diff,
    debian/patches/16_wxwidget-with-cmake-2.8.diff:
      + Update patches to work with plplot 5.9.5
  * debian/control.in, debian/rules:
      + Properly enable support for ada on all architectures (except armel)
        - build dependencies were not updated.
      + Add sh4 to the list of architectures where gnat is not available and
        so ada support is disabled. (closes: #562238)
      + Drop the plplot9-driver-gnome2 package which is unmaintained
        upstream and depends on libgnomeprintui-2.2 which is to be dropped
        from Debian. (closes: #542577)
      + Ensure ghostscript is installed in Build-Depends-Indep: since this
        is needed to generate fonts for pdfjadetex, but is not automatically
        pulled in.
  * debian/rules: Remove setting of ITCL_LIBRARY which is not required
    with latest version of itcl.
  * debian/libplplot9.files: Ensures .pal palette files are correctly installed
  * Rebuild package to use latest versions of gfortran (closes: #564065)
    and python (closes: #562411)

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 25 Jan 2010 21:19:07 +0000

plplot (5.9.2-4) UNRELEASED; urgency=low

  * debian/patches/02_unset-python-path.diff: Fix offset in patch
    to remove quilt warning.  (closes: #538533)
  * debian/control.in:
    + Remove arm build dependency on g++-4.1. (closes: #533806)
    + Update build dependency on tcl / tk to 8.5 (compatible with
      latest itcl). (closes: #545302)
    + Add dpkg (>=1.15.4) | install-info dependency for plplot-doc to correctly
      handle info install triggers. Fixes lintian warning.
    + Bump debian standards version to 3.8.3.
    + Fix typo in java bindings package description. (closes: #557677)
    + Add ${misc:Depends} to all binary package dependencies. Fixes lintian
      warning.
  * debian/control.in, debian/rules:
    + Update java to build-dep on default-jdk and runtime depend on default-jre
      which should work for all architectures.
    + Update ada packages so built on all architectures except armel where gnat
      seems to be unavailable. (closes: #544187)
  * debian/patches/16_wxwidget-with-cmake-2.8.diff: New patch ported from
    upstream to fix wxwidget build with cmake 2.8.0.
  * debian/control.in: Bump wxgtk version to 2.8. Require cmake 2.8.0 to build.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Wed, 23 Aug 2009 12:05:07 +0100

plplot (5.9.2-3) unstable; urgency=low

  * debian/control.in: Ensure libplplot-dev only depends on
    libplplot-ada for architectures where that exists.
    (closes: #530847)

 -- Andrew Ross <andrewross@users.sourceforge.net>  Thu, 28 May 2009 10:22:07 +0100

plplot (5.9.2-2) unstable; urgency=low

  [ Andrew Ross ]
  * debian/compat, debian/control.in: Update compatibility version for
    debhelper to remove lintian warning.
  * debian/control: Change section for libplplot9-java to match
    override in debian archives. Fixes lintian warning
  * debian/patches/15_octave-toggle-plplot-use.diff:
     New patch ported from upstream to fix namespace clash in the
     toggle_plplot_use.m script. (closes: #525198)
  * debian/plplot-doc.postinst, debian/plplot-doc.prerm:
     Remove obsolete scripts. Handling of index updates for info
     file installs is now done automatically by dpkg. Removes
     lintian warning.

  * debian/control.in: Update package descriptions to fix lintian
    warnings.

  * debian/patches/14_octave-3.0-fixes.diff:
      New patch ported from upstream to fix octave with octave 3.0.
      Patch removes support for octave 2.0/2.1 which gets rids of a
      large number of warnings. Also fixes automatic_replot support.
      (closes: #522423)

  * debian/rules: Disable OCaml support to prevent OCaml bindings
    being build if ocamlc is installed.

  [ Rafael Laboissiere ]
  * debian/control (libplplot-dev): Depend on libplplot-fortran9
    libplplot-ada, avoiding dangling symlinks (closes: #522125)
  * debian/control.in: Bump Standards-Version to 3.8.1 (add needed file
    debian/README.source explaining the patch system)

 -- Andrew Ross <andrewross@users.sourceforge.net>  Thu, 23 Apr 2009 09:13:07 +0100

plplot (5.9.2-1) unstable; urgency=low

  * New upstream release. Closes: #517233.

  * debian/patches/series: Remove patches
      09_pdftex-EC-encoding.diff
      10_print-usage-octave-3.0.diff
      12_cmake-2.6-fixes.diff
    which are now incorporated upstream.

  * debian/patches/07_octave_prune_examples.diff:
    Update patch to reflect upstream changes.

  * debian/patches/13_fix-kfreeBSD-build.diff:
    debian/control.in:
      New patch to fix build of plplot on Debian kfreeBSD. Also disable
      ada packages on kfreeBSD-amd64. Closes: #497895.

  * debian/rules: Explicitly enable tk driver. This is current disabled
    upstream as there are some issues with segfaults for the interactive
    tests. Use at your own risk until patches are forthcoming.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Sun, 25 Jan 2009 15:28:58 +0000

plplot (5.9.0-9) UNRELEASED; urgency=low

  * Switch from dpatch to quilt

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 Sep 2008 19:50:35 +0200

plplot (5.9.0-8) unstable; urgency=low

  [ Andrew Ross ]
  * debian/rules:
    + Fix use of findstring in debian/rules which prevented java
      building on i386 (closes: #483826)
  * Add dpatches
      12_cmake-2.6-fixes: Fixes build with cmake 2.6 now in sid. This
        patch is taken from svn upstream. (closes: #482236)

  [ Rafael Laboissiere ]
  * debian/control.in: Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 Jul 2008 12:08:51 +0200

plplot (5.9.0-7) unstable; urgency=low

  * debian/control.in, debian/rules:
    + Build-depend on default-jdk-builddep instead of java-gcj-compat-dev
      and prevents building of the libplplot9-java package on alpha, hppa,
      and hurd-i386 (closes: #477902)
    + Prevent libplplot-ada of building on armeb and armel (closes: #478891)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 02 May 2008 15:45:20 +0200

plplot (5.9.0-6) unstable; urgency=low

  * debian/control.in, debian/rules: Disable building of the Ada binding
    on alpha

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 03 Apr 2008 11:59:36 +0200

plplot (5.9.0-5) unstable; urgency=low

  [ Andrew Ross ]
  * debian/control.in: Make it clear that the ada bindings are still
    experimental

  [ Rafael Laboissiere ]
  * debian/control.in, debian/rules: Do not build the Ada binding on mips
    and mipsel

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 28 Mar 2008 11:32:20 +0100

plplot (5.9.0-4) unstable; urgency=low

  * debian/control.in:
    + Renamed from debian/control.
    + Build-depend on slice
    + Build-depend on gnat-4.1 on alpha, mips, and mipsel, since gnat-4.3,
      the default Ada compiler in Debian unstable, has issues on those
      architectures
  * debian/rules:
    + Do not issue commands related to the libplplot9-java and
      libplplot-ada packages on arm
    + Process debian/control.in through the slice command to produce a
      debian/control file with some packages excluded for some
      architectures (currently, libplplot9-java and libplplot-ada are
      excluded for arm)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Mar 2008 10:57:11 +0100

plplot (5.9.0-3) unstable; urgency=low

  * debian/control: Build-depend on g++-4.1 on arm, otherwise mkoctfile
    fails on this architecture
  * debian/rules: Set variable DEB_BUID_ARCH using dpkg-architecture

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 23 Mar 2008 22:18:14 +0100

plplot (5.9.0-2) unstable; urgency=low

  [ Andrew Ross ]
  * debian/control, debian/rules: Disable ada support for arm. The
    gnat compiler is not available on the arm architecture. The
    libplplot-ada package will be empty on this architecture.

  [ Rafael Laboissiere ]
  * Rebuilt against new libffi-dev, such that the python-plplot package
    will depend on the new libffi5 (closes: #472166)
  * debian/patches/11_minus-sign-manpage.dpatch: Escape "-" signs that
    mean the "minus" character in plserver man page
  * debian/plplot-doc.doc-base: Set section to Science/Mathematics

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Mar 2008 23:37:46 +0100

plplot (5.9.0-1) unstable; urgency=low

  [ Andrew Ross ]
  * New upstream release
  * debian/patches/00list: Remove patches
      05_octave_documentation.dpatch
      06_build_dir_use_physical_path.dpatch
      08_fix_cxx_includes.dpatch
    as they are now included upstream
  * debian/rules, debian/control, debian/libplplot-ada.files,
    debian/liplplot-dev.files:
    Add new package libplplot-ada to contain the Ada bindings. Include
    examples and source in with the libplplot-dev package (following
    Ada policy).
  * debian/libplplot9.README.Debian: Update to include new ada
    bindings package.

  [ Rafael Laboissiere ]
  * debian/control:
    + Fixed capitalization of GNOME (Lintian warning)
    + Force build-dependency on octave3.0 >= 3.0.0-2, ensuring the
      transition from g77 to gfortran.  Also, drop the unnecessary
      build-dependencies on blas, atlas, and lapack, since they are pulled
      in by octave3.0.
  * Add dpatches:
    + 09_pdftex-EC-encoding: Include the correct ec.enc file for the EC
      encoding, such that ligatures like "ff" and "fi" display correctly
      in the PDF form of the documentation (closes: #461343)
    + 10_print-usage-octave-3.0: Use the appropriate call to print_usage
      in wrap_octave.pl when building against octave3.0
  * debian/patches/04_use-mkoctfile.dpatch: Adjust for installing
    plplot_octave.oct with the appropriate execution permissions,
    otherwise dpkg-shlibdeps does not work correctly for the octave-plplot
    package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 Feb 2008 12:43:28 +0100

plplot (5.8.0-6) unstable; urgency=low

  [ Andrew Ross ]
  * debian/rules, debian/control, debian/libplplot9.README.debian: Disable java
    on arm platform. Currently java-gcj-compat-dev is out of date on that
    architecture. Instead the libplplot9-java package will be empty on arm.

  [ Rafael Laboissiere ]
  * debian/control:
    + Force build-dependency on python-numpy to be >=1.0.4-4, because the
      previous version had the include files installed in the  wrong
      directory
    + Build-depends on octave3.0-headers instead of octave2.9-headers
  * debian/patches/01_check-for-octave2.9.dpatch: Adapted for also
    accepting Octave 3.0
  * debian/rules: Adjusted path of numpy include files, which are now in
    /usr/include/numpy

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Dec 2007 00:06:08 +0100

plplot (5.8.0-5) unstable; urgency=low

  [ Andrew Ross ]
  * debian/patches/08_fix_cxx_includes: Add patch to fix the include files for
    the c++ examples. This patch should ensure the examples build with gcc 4.3.
    (closes: #456040)
  * debian/control: Add Build-Depends-Indep section for those packages
    only used in building the documentation. Reduces package dependencies
    for autobuilders.

  [ Rafael Laboissiere ]
  * debian/control: Tighten build-dependency on libqhull-dev to version
    equal or greater 2003.1-8 because versions previous to that one were
    terribly broken.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Dec 2007 12:12:21 +0100

plplot (5.8.0-4) unstable; urgency=low

  * debian/rules: rewrite the rules so the documentation is only built for
    binary-indep targets. This save significant time for the autobuilders.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 10 Dec 2007 20:33:28 +0000

plplot (5.8.0-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control:
    + Dropped the Homepage pseudo-header from the extended descriptions
    + Bumped Standards-Version to 3.7.3

  [ Andrew Ross ]
  * debian/patches/07_octave_prune_examples.dpatch: Remove example p7 from the
    ctest tests for the octave bindings. Currently this test fails on alpha
    in a way that fills the disk partition.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 07 Dec 2007 20:20:49 +0100

plplot (5.8.0-2) unstable; urgency=low

  * debian/rules: add -VV option to ctest. Will make it easier to debug
    any failed tests for auto-built packages.
  * debian/patches/06_build_dir_use_physical_path.dpatch: Ensure that plplot
    correctly identifies when run in the build tree, even if the path
    involves symlinks.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Mon, 03 Dec 2007 10:57:54 +0000

plplot (5.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: use cmake to get version information rather than configure.ac.
    Autotools build is now obsolete.
  * debian/control: correct libplplot9 suggests - correct package names are
    plplot9-driver-cairo and plplot9-driver-wxwidgets.
  * debian/libplplot9.README.Debian: Update to reflect changes to
    octave-plplot and replacement of psttf driver with cairo driver.
  * debian/patches/03_tclIndex-src-tree.dpatch: Dropped patch (applied
    upstream).
  * debian/patches/05_octave_documentation.dpatch: Improve the usage
    documentation of octave-plplot, in particular for users of octave2.9
    (closes: #453128).

 -- Andrew Ross <andrewross@users.sourceforge.net>  Fri, 30 Nov 2007 17:47:54 +0000

plplot (5.8.0~RC1-3) unstable; urgency=low

  * debian/control: Build-depends on java-gcj-compat-dev and make the
    libplplot9-java package depend on java-gcj-compat.  It seems that the
    Java binding only work well with gcj/gij.  This should fix the
    autobuild failures related to the Java binding (closes: #451103)
  * debian/rules: Set the appropriate JAVA_HOME according to the above.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 14 Nov 2007 23:51:54 +0100

plplot (5.8.0~RC1-2) unstable; urgency=low

  * Added Cairo driver and dropped psttf driver, making the former
    replace/conflict with the later

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 31 Oct 2007 22:20:25 +0100

plplot (5.8.0~RC1-1) unstable; urgency=low

  [ Andrew Ross ]
  * New upstream release. The pstex driver is not support anymore
    (closes: #415303).
  * New maintainer (closes: #396999)
  * debian/control, debian/rules: Fix python settings to work with
    numpy rather than Numeric.
  * debian/patches/01_check-for-octave2.9.dpatch: Renamed from
    01_check-for-octave2.1 and adapted for octave2.9

  [ Rafael Laboissiere ]
  * debian/control:
    + Made octave-plplot depend on libplplot9, otherwise a broken symlink
      may show up in /usr/share/doc
    + Build-depend on octave2.9-headers instead of octave2.1-headers.
      Also, build-conflict with the later.
    + Updated description of plplot-bin package, since support for plmeta
      and pstex is not enabled by default
    + Replaced the deprecated variable ${Source-Version} by
      ${binary:Version}
    + Added Homepage, Vcs-Svn, and Vcs-Browser fields
    + Added me as an uploader
  * debian/rules:
    + Do not set the RPATH when building shared libraries
    + Set the environment variable ITCL_LIBRARY when calling ctest, such
      that the examples_tcl test passes
  * Added dpatches:
    + 03_tclIndex-src-tree.dpatch: Ensure tk/tclIndex is generated in the
      build tree and not in the source tree
    + 04_use-mkoctfile: Build plplot_octave.oct using mkoctfile and not as
      a shared library
  * debian/plplot9-driver-wxwidgets.files: Move libplplotwxwidgetsd.so*
    into the plplot9-driver-wxwidgets package

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 29 Oct 2007 17:06:13 +0100

plplot (5.7.4.svn.20070523-2) unstable; urgency=low

  * debian/control, debian/rules: Fix python packages to work with
    cmake build system.
  * debian/control, debian/rules: Re-enable the libplplot9-java package.
    Now uses jikes / kaffe to build.
  * debian/control: Tidy up dependencies and include dependencies for
    building documentation from source.
  * debian/libplplot9.README.Debian: Update list to describe current
    packages.

 -- Andrew Ross <andrewross@users.sourceforge.net>  Tue, 19 Jun 2007 08:35:59 +0100

plplot (5.7.4.svn.20070523-1) unstable; urgency=low

  * Initial port of debian packaging files to use new cmake build system

 -- Andrew Ross <andrewross@users.sourceforge.net>  Wed, 23 May 2007 13:35:43 +0100

plplot (5.6.1-12) unstable; urgency=low

  * QA upload.
  * Fix missing section on the plplot-bin package, causing build failures on
    some (!) architectures.

 -- Steve Langasek <vorlon@debian.org>  Wed, 03 Oct 2007 11:32:21 -0700

plplot (5.6.1-11) unstable; urgency=low

  * QA upload.
  * debian/patches/51_remove-no-force-mem.dpatch: Remove `-fno-force-mem',
    which is a no-op with GCC 4.1+, and unsupported with GCC 4.3.
    Closes: #415278.
  * debian/watch: Update upstream URL.

 -- Matej Vela <vela@debian.org>  Sun, 15 Apr 2007 21:57:03 +0200

plplot (5.6.1-10) unstable; urgency=low

  * Orphaning the package
  * debian/control: Changed the maintainer to the Debian QA Group

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  4 Nov 2006 10:19:34 +0100

plplot (5.6.1-9) unstable; urgency=low

  * debian/control: Applied patch from Tomas Pospisek tomake list in
    description render nicely in aptitude (closes: #389142)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 Sep 2006 01:47:57 +0200

plplot (5.6.1-8) unstable; urgency=low

  * debian/control, debian/rules: Do not build the libplplot9-java package
    anymore, at least until the problems in building the PLplot Java
    buildings in the autobuilders is fixed (closes: #384329)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 22:39:05 +0200

plplot (5.6.1-7) unstable; urgency=low

  * debian/patches/50_check-for-octave2.1.dpatch: Do string comparisons
    instead of numeric comparisons on the value returned by
    split(version,".").  Thanks to Thomas Weber the patch
    (closes: #376247)

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  1 Jul 2006 13:57:26 +0200

plplot (5.6.1-6) unstable; urgency=low

  * debian/watch: Fixed http entry
  * debian/rules: Install Perl examples in the libplplot-dev package

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jun 2006 02:23:30 +0200

plplot (5.6.1-5) unstable; urgency=low

  * debian/control: Removed build-dependency on pdl, which causes circular
    dependencies because pdl depends on libplplot9.  It is a bad thing to
    require libplplot9 installed in order to build libplplot9.
  * debian/rules:
    - Dropped --enable-pdl from the list of options to configure
    - Call the dh_movefiles command only after everything has been
      installed in debian/tmp, including the python2.{3,4} specific stuff.
      This will avoid build errors due to libraries being moved away from
      debian/tmp/usr/lib (closes: #375396)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 26 Jun 2006 10:45:51 +0200

plplot (5.6.1-4) unstable; urgency=low

  * debian/control: Build-Depends on python-numeric >= 24.2-3, because
    this version is the first one built with python central.  Previous
    build dependencies on python2.{3,4}-numeric are removed.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Jun 2006 23:17:45 +0200

plplot (5.6.1-3) unstable; urgency=low

  * debian/control: Added ttf-freefont to Build-Depends, such that the
    Freetype   support is corectly switched on by configure and
    compilation of drivers/gcw.c succeeds (closes: #375364)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Jun 2006 18:02:37 +0200

plplot (5.6.1-2) unstable; urgency=low

  * debian/control: Replaced all build-dependencies for java by
    java-gcj-compat-dev, which will be default java environment for
    building packages soon (thanks to Michael Koch <konqueror@gmx.de>
    for the hint, closes: #370655, #372644)
  * debian/rules: Set JAVA_HOME to /usr/lib/jvm/java-gcj
  * The libcsiro0 package has now its own /usr/share/doc/libcsiro0
    directory, eliminating the need for a symlink to
    /usr/share/doc/libplplot9, which avoids the circular dependency
    libcsiro0 <-> liplplot9 (closes: #342897)
  * Following now the new Python Policy (closes: #373478):
    - debian/control:
      + Build-Depends on debhelper >= 5.0.37.2, python-all-dev >=
        2.3.5-11, and python-central >= 0.4.17
      + Added a XB-Python-Version field to the python-plplot package
      + Added a XS-Python-Version with value "all"
    - debian/rules:
      + Added call to dh_pycentral
      + Generate the Python modules for versions 2.3 and 2.4 by calling
        twice the configure script + make + make install in the newly
        created rule install-python%

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 24 Jun 2006 23:42:02 +0200

plplot (5.6.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Added file

  [changes for 5.6.0.rc1.5.6.1-2), not officially released]
  * debian/patches/50_check-for-octave2.1.dpatch: Abort the
    toggle_plplot_use script if using Octave other than version 2.1.*
    (closes: #368753)
  * debian/rules: Enable installation of the PDL examples
  * debian/control: Build-depends on pdl

  [changes for 5.6.0.rc1.5.6.1-1), not officially released]
  * New upstream release candidate (5.6.1_RC1). This version contains the
    binding for Fortran 95.
  * debian/rules:
    + Enabled compilation of Fortran 95 binding.  Due to some strange
      libtool problem, "FC=gfortran and F77=gfortran" must be given to
      configure.
    + Run "make check" after "make" in target build-stamp
  * debian/control: Created the new package libplplot-fortran9 containing
    the F77 and F95 bindings.
  * debian/plplot-doc.doc-base: Fixed path for Files and Index.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 31 May 2006 11:21:05 +0200

plplot (5.6.0-1) unstable; urgency=low

  * New upstream release:
    - New language binding for Java (package libplplot9-java, which was
      already in version 5.5.3-1, uploaded to experimental)
    - New drivers:
      + Gnome Canvas Widget (packages python-plplot-gnome2 and
        python-plplot-gnome2 (which were already in version 5.5.3-1,
        uploaded to experimental)
      + wxWidgets tool kit (package plplot9-driver-wxwidgets)
      + PostScript with Unicode support (package plplot9-driver-psttf)
  * debian/control:
    - Bumped Standards-Version to 3.7.2 (no changes needed)
    - Build-Depends on liblasi-dev (>= 1.0.5-2) and libwxgtk2.6-dev
    - Updated build dependency on libgcj4-dev to libgcj6-dev
      (closes: #333785)
    - octave-plplot suggests the xwin driver package (closes: #358323)
  * debian/patches/50_simplelist-in-man-page: Removed patch (applied
    upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Sun,  7 May 2006 20:09:16 +0200

plplot (5.3.1-11) unstable; urgency=low

  * debian/rules: the plplot-doc package has now its own /usr/share/doc
    directory (really closes: #361781)
  * debian/control: Removed dependency of plplot-doc on libplplot9

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 12 Apr 2006 16:11:00 +0200

plplot (5.3.1-10) unstable; urgency=low

  * debian/control: Made the dependency of plplot-doc on libplplot9
    unversioned (closes: #361781)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 11 Apr 2006 17:38:13 +0200

pplplot (5.3.1-9) unstable; urgency=low

  * Recompiled against latest version of libc6.  PLplot does not cause
    Octave to crash anymore (closes: #351734).

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  8 Mar 2006 11:27:30 +0100

plplot (5.3.1-8) unstable; urgency=low

  * Due to the gnome1 -> gnome2 transition in sid, the plplot9-driver-gnome
    package is removed.  The experimental release of plplot (5.5.3)
    already contains the gcw driver, which replaces the gnome driver.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Sep 2005 09:34:01 +0200

plplot (5.3.1-7) unstable; urgency=low

  * Build-depends on gfortran instead of g77.  This should get around a
    build failure on the ia64 architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Sep 2005 00:11:33 +0200

plplot (5.3.1-6) unstable; urgency=low

  * This version will *_really_* complete the C++ ABI transition.  I forgot
    to do it for the libplplot-c++9 package, which is now called
    libplplot-c++9c2.  Most of the changes come from the Ubuntu patch
    (thanks to Stephan Hermann <sh@sourcecode.de>):

    + debian/control: adjusted packagename, conflicts/replaces, dependencies
    + debian/rules: adjusted packagename
    + debian/libplplot-c++9c2.files: renamed and edited to new packagename

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Sep 2005 14:51:55 +0200

plplot (5.3.1-5) unstable; urgency=low

  * First build with gcc/g++ 4.0.  This should complete the C++ ABI
    transition for the octave-plplot package (closes: #328198).

  * debian/rules: Avoid compilation problem of unrecognized type
    '__builtin_va_list' when building the Octave binding
    (closes: #274359).  I am fixing this bug using the hack of setting the
    CC variable of the Makefile, instead applying the patch suggested by
    Kaare Hviid <ukh_at_id.cbs.dk>, because otherwise I would have to run
    automake/libtool/autoconf to build the package. Lame, But It Works (TM).

  * debian/control: Upgraded Standards-Version to 3.6.2 (no changes needed).

  * debian/copyright: New FSF address.

  * debian/patches/50_simplelist-in-man-page.dpatch: Added patch to fix
    processing of plcol0.3plplot man page.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 16 Sep 2005 22:46:28 +0200

plplot (5.5.3-1) experimental; urgency=low

  * New uspstream release (development branch, hence the upload to
    experimental).
  * The plplot9-driver-gnome package is replaced by plplot9-driver-gnome2,
    which contain the new gcw driver and the liplplpotgnome2 libary.
  * The new package python-plplot-gnome2 contains the glue code for using
    libplplotgnome2 with Python.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  3 May 2005 09:15:10 +0200

plplot (5.3.1-4) unstable; urgency=low

  * debian/rules: Added --with-freefont option to configure
  * debian/control:
    - plplot9-driver-gd recommends now the ttf-freefont package
    - libplplot-dev depends on libplplot-c++9, avoiding broken link
      /usr/lib/libplplotcxxd.so (closes: #303830)

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  9 Apr 2005 11:03:11 +0200

plplot (5.3.1-3) unstable; urgency=low

  * Rebuild against Octave 2.1.66
  * debian/control:
    - Build-depends on octave2.1-headers (>= 2.1.65)
    - Fixed typo in description of libcsiro0 package (closes: #284381)
    - Made the libplplot9 package suggest all the driver packages,
      including plplot-tcl, which contains the Tk driver (closes: #285193)
    - Droped several dependencies on libplplot9 (= ${Source-Version}),
      which were causing lintian to complain
  * debian-rules:
    - Include defs.make and use octave-depends command
    - Droped manual setting of octave-plplot.substvars
    - Use OCTDIR to install plplot_octave.oct

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 25 Feb 2005 13:36:26 +0100

plplot (5.3.1-2) unstable; urgency=low

   * Rebuilt against Octave 2.1.64.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  4 Dec 2004 16:57:04 +0100

plplot (5.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 25 Jun 2004 10:15:00 +0200

plplot (5.3.0.rc2.5.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Removed old code for architecture-specific exclusion of
    the octave-plplot package.
  * debian/struct_contain.m: Removed this file, since it has been
    included upstream.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jun 2004 07:52:54 +0200

plplot (5.3.0.rc1.5.3.1-5) unstable; urgency=low

  * debian/control:  Make the build-dependencies on atlas/lapack specific
    to the arm and m68k architectures.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 Jun 2004 16:13:55 +0200

plplot (5.3.0.rc1.5.3.1-4) unstable; urgency=low

  * debian/control:  Refine the build-dependencies on atlas/lapack to make
    the package build from source on m68k and arm.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 Jun 2004 13:12:04 +0200

plplot (5.3.0.rc1.5.3.1-3) unstable; urgency=low

  * debian/control: Added build-dependency on atlas3-base-dev.  For some
    obscure reason, plplot is FTBFS on the architectures ia64, s390,
    sparc, powerpc, hppa, and mipsel, because neither atlas3-base-dev nor
    lapack3-dev are automatically installed.  This should be the case, due
    to the build-dependency on octave2.1.-headers.  I will keep
    atlas3-base-dev in Build-Depends until the problem is fixed.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 Jun 2004 10:51:07 +0200

plplot (5.3.0.rc1.5.3.1-2) unstable; urgency=low

  * debian/control: Added dependency on libplplot3-dev to libplplot-dev.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jun 2004 17:46:23 +0200

plplot (5.3.0.rc1.5.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Removed all Octave patches, since they have been
    applied upstream.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 14 Jun 2004 20:40:46 +0200

plplot (5.3.0.cvs.20040520-0.sarge.2) unstable; urgency=low

  * debian/control: Add dpendencies to libplplot9 (= ${Source-Version}),
    to all packages besides libplplot9 itself.  The package is now Lintian
    clean.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 May 2004 23:36:20 +0200

plplot (5.3.0.cvs.20040520-0.sarge.1) unstable; urgency=low

  * Built for Debian testing (a.k.a. sarge).

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 May 2004 11:13:47 +0200

plplot (5.3.0.cvs.20040520-1) unstable; urgency=low

  * New CVS tarball upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 May 2004 11:09:21 +0200

plplot (5.3.0.cvs.20040517-0.sarge.1) unstable; urgency=low

  * Built for Debian testing (a.k.a. sarge).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 May 2004 11:32:45 +0200

plplot (5.3.0.cvs.20040517-1) unstable; urgency=low

  * New CVS tarball upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 May 2004 10:05:37 +0200

plplot (5.3.0.cvs.20040430-3) unstable; urgency=low

  * debian/patches/octave-2.1.53-demos.dpatch: Added patches for Octave
    demos x13c.m, x14c.m, and x17c.m.  The whole set of examples for
    the Octave bindings work now with Octave version 2.1.57.
  * debian/patches/warn-empty-list-elements.dpatch: Added patches for
    shade.m and __pl_contour.m.  The demos p*.m work now with Octave
    version 2.1.57 (except demos p6.m, p17.m, and p20.m).
  * debian/rules (install-stamp): Install the file
    debian/struct_contains.m before the calls to dh_movefiles, such that
    struct_contains.m really goes into the octave-plplot package.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 11 May 2004 10:08:11 +0200

plplot (5.3.0.cvs.20040430-2) unstable; urgency=low

  * debian/patches/warn-empty-list-elements.dpatch,
    debian/patches/warn-fortran-indexing.dpatch: Added patches for making
    the Octave binding working with Octave 2.1.57.
  * debian/struct_contains.m: New file which override Octave's one when
    toggle_plplot_use is issued.
  * debian/rules: Install debian/struct_contains.m in
    /usr/share/plplot_octave.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 May 2004 19:22:58 +0200

plplot (5.3.0.cvs.20040430-1) unstable; urgency=low

  * debian/control:
    - Removed build-dependency on g++-3.3 | g++-3.2, since g++ is a
      build-essential package (closes: #244007).
    - Use build-dependencies on libx11-dev, libxext-dev, and libxi-dev
      instead of on xlibs-dev, since this later is now a transition
      package (after the XFree86 4.3.0 package reorganization in Debian).
  * Build in unstable, so that the octave-plplot package gets
    the right dependency on libhdf5 (closes: #246297).

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 May 2004 12:15:29 +0200

plplot (5.3.0.cvs.20040324-2) unstable; urgency=low

  * Patched the configure script to avoid stderr messages to interfere with
    the Octave configuration.  This may fix the recurrent buildd failures
    on the m68k architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 31 Mar 2004 21:23:06 +0200

plplot (5.3.0.cvs.20040324-1) unstable; urgency=low

  * New cvs snapshot upstream release.
  * debian/control: Removed build-conflict on f2c and fort77.  Added
    fort77 build-dependency for the m68k architecture.  This should fix
    the problem of building from source for m68k, since mkoctfile
    apparently needs the f2c library for linking *.oct files on that
    architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 25 Mar 2004 07:15:54 +0100

plplot (5.3.0.cvs.20040303-1) unstable; urgency=low

  * New cvs snapshot upstream release.
  * Reorganization of the packages to avoid potential problems with future
    upgradings of the PLplot libary soversion.  Since libplplotcxxd,
    libcsirocsa, and libcsironn have different soversion numbers
    upstream, they are separated from the main libplplot9.
  * debian/control:
    - In the description of libplplot9, updated contents of package.
    - libplplot-c++9: New package.
    - libcsiro0: New package.
  * debian/libplplot-c++9.files: New file.
  * debian/libcsiro.files: New file.
  * debian/rules: create symlinks for /usr/share/doc/lib{plplot-c++9,csiro}
    to /usr/share/doc/libplplot9.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Mar 2004 23:39:13 +0100

plplot (5.3.0-5) unstable; urgency=low

  * Remove the programs in /usr/bin from the libplplot9 package and put
    them into the new package plplot-bin.  This will avoid future
    conflicts when the soversion of the library will be incremented.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Feb 2004 14:24:56 +0100

plplot (5.3.0-4) unstable; urgency=low

  * debian/control: Made libplplot9 conflict with the old plplot package
    (<< 5).  This allows a smooth upgrade from stable to testing/unstable
    by avoiding the overwriting of the file /usr/bin/pltek
    (closes: #235252).

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Feb 2004 08:24:33 +0100

plplot (5.3.0-3) unstable; urgency=low

  * Get Octave bindings to work with octave2.1-2.1.53, the version
    available in unstable.  Using dpatch for that.
  * debian/rules:
    - Include dpatch.make.
    - Targets build and clean depend on patch and unpatch, respectively.
  * debian/control:
    - Build-Depends on dpatch.
    - Drop alternative build-dependency to octave2.0-headers and force
      versioned dependency on octave2.1-headers (>= 2.1.54-2)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 19 Feb 2004 21:23:50 +0100

plplot (5.3.0-2) unstable; urgency=low

  * debian/control: Removed build-dependency on libhdf5-serial-dev, since
    it will be included in the build-dependencies of octave2.1-headers
    (version 2.1.53-3).

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  3 Feb 2004 15:02:04 +0100

plplot (5.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jan 2004 16:37:54 +0100

plplot (5.2.1.rc2.5.3.0-1) unstable; urgency=low

  * Second release candiate tarball for version 5.3.0.
  * debian/control: Removed most of the Conflicts/Replaces/Provides
    fields, since they where legacies from the libplplot5 packages.  The
    libplplot9 and libplplot5 still cannot co-exist (although this is
    only of theoretical interest, since there are no other packages in
    Debian that depend on libplplot5).

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 22 Jan 2004 23:13:45 +0100

plplot (5.2.1.rc1.5.3.0-1) unstable; urgency=low

  * New cvs snapshot upstream release (first release candidate for 5.3.0
    release)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Jan 2004 11:43:27 +0100

plplot (5.2.1.cvs.20040115-3) unstable; urgency=low

  * scripts/get-dependency-libs.sh: Applied upstream CVS patch for finding
    library files in .libs directories in the build tree.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 15 Jan 2004 10:16:32 +0100

plplot (5.2.1.cvs.20040115-2) unstable; urgency=low

  * bindings/octave/PLplot/toggle_plplot_use.m,
    bindings/octave/PLplot/plplot_octave_path.m.in:
      Applied patch from upstream CVS to fix problems related to Octave
      2.1.52.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 15 Jan 2004 09:31:21 +0100

plplot (5.2.1.cvs.20040115-1) unstable; urgency=low

  * debian/control:
    - Made Build-Conflicts on libplplot5 unversioned.
    - Removed from Build-Depends and Build-Conflicts the m68k specificities
      related to g77, fort77, and f2c.  This is a try to get around a
      FTBFS on the m68k architecture.  Also, requires g++-3.3 | g++-3.2
      instead of only g++-3.2.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 15 Jan 2004 06:30:51 +0100

plplot (5.2.1.cvs.20040104-1) unstable; urgency=low

  * debian/control: Added pkg-config to build-dependencies and to
    libplplot-dev Recommends:.
  * debian/rules:
    - Added option --with-pkg-config to configure command.
    - Set environment variable PKG_CONFIG_ENV to " " when calling
      condfigure.  This allows a cleaner line when launching make fro
      the installed examples/* directories, since setting PKG_CONFIG_PATH is
      not necessary in Debian.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  3 Jan 2004 20:24:53 +0100

plplot (5.2.1.cvs.20031231-1) unstable; urgency=low

  * New cvs snapshot upstream release
  * debian/control: Changed section of packages libplplot9,
    plplot9-driver-gd, plplot9-driver-gnome, and plplot9-driver-xwin to
    libs (was math before) in order to comply with overrides of
    debian-installer.
  * debian/plplot-tcl.files: Include directories and files
    usr/share/plplot*/*tcl

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 31 Dec 2003 14:12:22 +0100

plplot (5.2.1.cvs.20031228-1) unstable; urgency=low

  * New cvs snapshot upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 28 Dec 2003 22:33:41 +0100

plplot (5.2.1.cvs.20031227-1) unstable; urgency=low

  * New cvs snapshot upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 27 Dec 2003 01:52:55 +0100

plplot (5.2.1.cvs.20031226-1) unstable; urgency=low

  * New cvs snapshot upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 26 Dec 2003 16:48:05 +0100

plplot (5.2.1.cvs.20031030-2) unstable; urgency=low

  * debian/rules: Call configure with --enable-static, such that the
    lib*.a files will be present in the *-dev packages (closes: #224550).
  * debian/control: Changed architecture of packages libplplot-dev and
    plplot-tcl-dev from "all" to "any", because of the *.a files included.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 20 Dec 2003 17:48:52 +0100

plplot (5.2.1.cvs.20031030-1) unstable; urgency=low

  * Preparation for the next upstream version, which changed the soversion
    of the PLplot library.  Changed all the references to libplplot5 to
    libplplot9.  Affected files:
    - debian/control
    - debian/libplplot-dev.files
    - debian/octave-plplot.files
    - debian/plplot-doc.doc-base
    - debian/plplot-doc.files
    - debian/plplot-tcl-dev.files
    - debian/python-plplot.files
    - debian/rules
    - debian/libplplot9.README.Debian (new)
    - debian/libplplot9.files (new)
  * In order to avoid backward incompatibilities with the release of
    libplplot9, the driver module packages have now versioned names:
    - plplot9-driver-gd
    - plplot9-driver-xwin
    - plplot9-driver-gnome

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Oct 2003 09:37:15 +0100

plplot (5.2.1.cvs.20031027-3) unstable; urgency=low

  * debian/rules:
    - Added symlinks /usr/lib/lib{nn,csa}.so.0, such that this release of
      the libplplot5 package does not break binary compatiblity with previous
      released versions of PLplot (closes: #217895).  This is an interim
      solution.  Probably, the upstream authors will have to change the
      soversion or revert the changing of names of the libscsiro{nn,csa}
      libraries in order to get the problem cleanly fixed.
    - Call configure with --disable-java, since enable_java has been made
      the default in the upstream configure.ac.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Oct 2003 13:45:21 +0100

plplot (5.2.1.cvs.20031027-2) unstable; urgency=low

  * debian/libplplot-dev.files: Added README.pkg-config file.
  * debian/libplplot5.README.Debian: Fixed typos.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Oct 2003 11:44:16 +0100

plplot (5.2.1.cvs.20031027-1) unstable; urgency=low

  * New CVS snapshot upstream release.  This release is actually quite
    close to the latest Debian 5.2.1-21, since I have been tracking CVS
    developments since the upstream release 5.2.1.  One of biggest
    advantages of this move is the enourmous reduction in the size of the
    diff.gz file:

      du -b plplot*diff*
      2686036 ../plplot_5.2.1-21.diff.gz
      10198   ../plplot_5.2.1.cvs.20031027-1.diff.gz

    This huge difference is due to the patched documentation file and the
    necessity of an uuencoded file for the Debian packages.

  * debian/rules: Removed all manipulations (targets "build" and
    "clean") related to the plplot-5.2.1-new-doc.tar.gz.uu file, which is
    not included in the source package anymore.  Also, added flag -k to
    make distclean.

  * debian/control: Removed build-dependency on sharutils.

  * debian/libplplot5.README.Debian: Added note about pkg-config support.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Oct 2003 09:50:09 +0100

plplot (5.2.1-21) unstable; urgency=low

  * sysloc.in: Applied patch from upstream CVS that assigns an unversioned
    path to OCTAVE_OCT_DIR.
  * debian/rules:
    - Loosen the restriction on the Octave version dependency, now that
      OCTAVE_OCT_DIR is unversioned.
    - Configure with --with-pthreads, such that the xwin driver refreshes
      the plot when the window is moved or re-exposed.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 20 Oct 2003 10:42:55 +0200

plplot (5.2.1-20) unstable; urgency=low

  * Following a suggestion of Matthias Klose <doko@cs.tu-berlin.de>, the
    libltdl library shipped with the upstream sources is not compiled
    anymore as a convenience library:
    - Patched configure.ac and Makefile.am from upstream CVS. The
      configure option --with-ltdlsystem is now implemented, which allows
      the use of the installed libltdl library.
    - debian/control: Build-depends on libltdl3-dev.
    - debian/rules: Call configure with option --with-ltdlsystem.
  * debian/control:
    - Fixed description of libplplot-dev package.
    - Bumped the build-dependency on debhelper to version 4.1.67, since we
      are using dh_python (thanks again to Matthias Klose for pointing
      this out).

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Oct 2003 08:25:49 +0200

plplot (5.2.1-19) unstable; urgency=low

  * configure.ac: Added upstream patch from the CVS repository to avoid
    problems when using the variable $max_cmd_len in the libtool script.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 16 Sep 2003 12:37:48 +0200

plplot (5.2.1-18) unstable; urgency=low

  * debian/rules: Use dh_python to correctly generate python version
    dependencies in debian/python-plplot.substvars.  This will guarantee
    clean upgrades (closes: #207314).
  * Regenerated configuration files with latest versions of the autotools in
    Debian sid (automake 1.7.7 and libtool 1.5).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Sep 2003 10:21:09 +0200

plplot (5.2.1-17) unstable; urgency=low

  * Rebuilt against the new python2.3-dev itcl/itk 3.2 and iwidgets4
    packages.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.
    - Bumped build-dependencies to python2.3, itcl3, and itk3.
    - plplot-tcl depends now on iwidgets4.
  * sysloc.in, configure.ac: Using patched version from CVS upstream with
    fixes in the Python configuration and in the list of include
    directories to find files itcl.h and itk.h.
  * Used new CVS upstream version of the documentation files with
    legacy license statement removed.  A uuencoded tarball
    debian/plplot-5.2.1-new-do.tar.gz.uu is included, which forced the
    inclusion of sharutils in Build-Depends.  Code have been added to
    debian/rules to unpack the new files in this tarball. The plplot-doc
    package is now DFSG compliant (closes: #202761).
  * utils/plrender.c: Patched from CVS upstream.  From the commit log:
    Comment out call to plSetInternalOpt which uses the tcl_cmd option
    that has been disabled in plargs.c.  This fix solves the plrender
    memory management problems and the crashes associated with plrender
    and device tk.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 Aug 2003 02:01:19 +0200

plplot (5.2.1-16) unstable; urgency=low

  * Disallow Build-Conflicts on f2c and fort77 for m68k.

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  9 Jul 2003 23:29:46 +0200

plplot (5.2.1-15) unstable; urgency=low

  * Added build-dependency on fort77 for the m68k to match the
    build-dependencies of the octave2.1_2.1.50-2 package.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  8 Jul 2003 02:00:34 +0200

plplot (5.2.1-14) unstable; urgency=low

  * Rebuilt with new octave2.1 package (2.1.50-1), such that the
    octave-plplot has the correct dependencies in unstable.

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  3 Jul 2003 11:01:24 +0200

plplot (5.2.1-13) unstable; urgency=low

  * Use new upstream version of sysloc.in, with better
    AC_MSG_CHECKING/AC_MSG_RESULT settings for the Octave checks.  This
    will help in interpreting the buildd logs for some architectures for
    which the building is failing.
  * debian/control: Added build-dependency on g++-3.2, since its path is
    hardcoded in /usr/bin/mkoctfile for some architectures.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  3 Jun 2003 23:20:16 +0200

plplot (5.2.1-12) unstable; urgency=low

  * Enable building of octave-plplot for all architectures.  The octave2.1
    package (version 2.1.49-3*) is working now in all 11 architectures of
    Debian sarge.  Hopefully, PLplot will now make its way into testing.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  3 Jun 2003 10:49:11 +0200

plplot (5.2.1-11) unstable; urgency=low

  * debian/control: Added arm to the list of excluded architectures of
    package octave2.*-header in Build-Depends.
  * debian/rules: Exclude building of Octave bindings for the arm
    architecture.
  * (N.B.: I am currently excluding the building of the octave-plplot for
    four architectures: hppa, powerpc, m68k, and arm.  I will revisit this
    decision later when octave2.1 will work again for these
    architectures.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 22 May 2003 22:50:37 +0200

plplot (5.2.1-10) unstable; urgency=low

  * debian/control: Added m68k to the list of excluded architectures of
    package octave2.*-header in Build-Depends.  Added dependency on
    python-numeric to package python-plplot.
  * debian/rules: Exclude building of Octave bindings for m68k
    architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 22 May 2003 11:26:52 +0200

plplot (5.2.1-9) unstable; urgency=low

  * debian/control: Restored "Architecture: any" for the octave-plplot
    package.  Excluded build-dependencies on octave for the hppa and
    powerpc architectures.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 12 May 2003 18:30:23 +0200

plplot (5.2.1-8) unstable; urgency=low

  * Rebuilt using octave 2.1.48.

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  8 May 2003 14:33:18 +0200

plplot (5.2.1-7) unstable; urgency=low

  * debian/rules: Correctly changed some rule dependencies to *-stamp,
    since the config target was being unnecessarily executed twice during
    the package building.

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  7 May 2003 08:42:27 +0200

plplot (5.2.1-6) unstable; urgency=low

  * debian/rules: Added conditional exclusion of the octave-plplot package
    to the dh_gencontrol and dh_builddeb commands.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  6 May 2003 21:29:56 +0200

plplot (5.2.1-5) unstable; urgency=low

  * debian/rules: Added variable octave_mvf to control exclusion of
    package octave-plplot in dh_movefiles command.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  6 May 2003 16:59:52 +0200

plplot (5.2.1-4) unstable; urgency=low

  * Exclude architectures hppa and powerpc from the building of the
    octave-plplot package (in debian/control).  There are now variables
    octave_cfg and octave_pkg in debian/rules to control this.
  * debian/control: Changed description to comply with the Best Packaging
    Practices of the Debian Developer's Reference.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  6 May 2003 11:03:40 +0200

plplot (5.2.1-3) unstable; urgency=low

  * Fixed AC_MSG_CHECKING for the Octave prefix in sysloc.in (upstream
    file).  Also, added the lacking file doc/docbook/docbook.m4 from
    upstream CVS and regenerated configure with autoconf.
  * debian/rules: In clean rule, "make distclean" instead of "make clean".
  * Copied new top-level Makefile.am and Makefile.in from upstream CVS.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  3 May 2003 08:54:18 +0200

plplot (5.2.1-2) unstable; urgency=low

  * debian/control: Removed the explicit build-dependencies on libpng-dev,
    libjpeg-dev, and libfreetype-dev, since they are declared as
    dependencies of libgd2-dev.  This is an attempt to fix the libpng
    incompatibility between libgd2-dev and libgnome-dev.  Also, fixed a typo
    in the Build-Conflicts field.

  * debian/rules: Remove config.sub and config.guess in clean rule.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Apr 2003 13:42:34 +0200

plplot (5.2.1-1) unstable; urgency=low

  * New stable upstream release.
  * debian/control: Removed warnings about experimental aspect of the
    packages in the Description fields (closes: #189499).

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 Apr 2003 23:18:09 +0200

plplot (5.2.0.cvs.20030415-1) unstable; urgency=low

  * Built with new CVS sources.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Apr 2003 23:03:01 +0200

plplot (5.2.0.cvs.20030411-1) unstable; urgency=low

  * Built with new CVS sources.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 11 Apr 2003 09:51:08 +0200

plplot (5.2.0.cvs.20030403-1) unstable; urgency=low

  * Built with new CVS sources.
  * Added build depends on autotools-dev and let debian/rules update
    config.sub and config.guess.

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  3 Apr 2003 16:52:17 +0200

plplot (5.2.0.cvs.20030401-1) unstable; urgency=low

  * Built with new CVS sources.
  * debian/control: Added build-dependency on matwrap.  Changed sections of
    libplplot-dev and python-plplot to libdevel and python.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 Mar 2003 21:33:38 +0200

plplot (5.2.0.cvs.20030325-1) unstable; urgency=low

  * Built with new CVS sources: The problem with the non-numerical version
    number in pkgIndex.tcl has been fixed (closes: #185677).

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Mar 2003 15:34:25 +0100

plplot (5.2.0.cvs.20030320-1) unstable; urgency=low

  * Built with new CVS sources: configure has now new options for
    controlling configuration and building of the Docbook documentation.
    This should generated less warning messages in the autobuilders.
  * debian/control: Bumped Standards-Version to 3.5.9.  Added
    libxml-parser-perl and libxml-dom-perl to Build-Depends, since these
    Perl modules are needed for the Octave bindings.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 Mar 2003 09:27:35 +0100

plplot (5.2.0.cvs.20030319-1) unstable; urgency=low

  * Built with new CVS sources: Since my last upload, there has been only
    improvements in the Octave bindings.
  * debian/control: Set Priority: extra for plplot-tcl-dev, such that
    debcheck will not complain.  Also, changed the order of
    octave2.1-headers and octave2.0-headers in Build-Depends.  This will
    probably make the autobuilders to install the more recent version of
    Octave and fix the build problems.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Mar 2003 08:31:30 +0100

plplot (5.2.0.cvs.20030317-1) unstable; urgency=low

  * Built with new CVS sources: fixes in the Octave bindings and in the
    Docbook documentation.  The configure script does not choke anymore if
    the swig program is not available (closes: #184694, closes: #183947).
  * Fixed the mess with the Python version.  Now, both Python 2.1 and 2.2
    are accepted and the dependency field of package python-plplot is
    obtained through the substvar ${python:Depends}, which is set in the
    rule config of debian/rules.
  * PLplot installs now the .oct file in a versioned directory.  The
    correct dependency of octave-plplot is now obtained through the
    substvar ${octave:Depends (closes: #183913).
  * debian/control:
      - Added dependencies on libqhull-dev and libfreetype6-dev to
        libplplot-dev, such that the examples will compile.
      - Removed build-dependency to xlib6g-dev.
  * debian/rules added --enable-smart-ac-output option to configure, to
    avoid needless recompilation of the documentation.
  * Moved the plplot_libtool script from libplplot5 into libplplot-dev.
  * The ntk driver is now correctly put in the plplot-tcl package, instead
    of libplplot5.  This was forcing the erroneous dependency of
    libplplot5 on Tcl/Tk 8.3.  Shame on me!
  * debian/control: Added build-dependencies to libpng3-dev and
    libjpeg62-dev, such that plplot-gd is built correctly.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Mar 2003 15:09:45 +0100

plplot (5.2.0.cvs.20030307-1) unstable; urgency=low

  * Built with new CVS sources: there are slight improvements in the Octave
    bindings, regarding the user function toggle_plplot_use.
  * debian/control:
      - Changed some Priority and Section headers to match the override
        file in the Debian repository, such that the package upload will
        be accepted (hopefully).
      - Added m4 to Build-Depends.

 -- Rafael Laboissiere <rafael@debian.org>  Fri,  7 Mar 2003 09:47:22 +0100

plplot (5.2.0.cvs.20030306-1) unstable; urgency=low

  * Built with new CVS sources:
      - The new API plgriddata has been added, as well as the nn and csa
        libraries.
      - The pkg-config files changed place.
      - Xwin driver is now Pthreaded.
      - Patch to plsym.c allowing vertical text in the bottom and top axes.
  * debian/rules: Removing debian/files for lintian cleanness.  After
    installation, the dvi form of the documentation is deleted.
  * debian/plplot-doc.files: Added the .ps.gz documentation file.
  * debian/control: For plplot-doc, added Conlicts: relationship to
    libplplot5, since the .ps.gz have been moved.  Improved description
    for the plplot-doc package.

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  5 Mar 2003 14:47:07 +0100

plplot (5.2.0.cvs.20030301-1) unstable; urgency=low

  * Built with new CVS sources.  Fixed gnome driver, which was plotting
    extraneous text on the canvas.  Also, the Octave initalization file is
    fixed now, and use_plplot really works.
  * debian/libplplot-dev.files: Added /usr/lib/pkgconfig dir.
  * debian/control: Removed optional dependencies on octave2.0, since the
    octave-plplot package is built for Octave 2.1 and the .oct file will not
    work with 2.0.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 28 Feb 2003 19:40:23 +0100

plplot (5.2.0.cvs.20030227-2) unstable; urgency=low

  * This is the first release of this cvs snapshot series to the Debian
    unstable repository (closes: #101264).
  * A big thanks to David Schleef, who has acted as interim maintainer
    (and made a great job) while I have been unavailable.
  * Many bugs that have been around for ages are fixed in this
    release:
    - The plplot-tcl package depends on tcl8.3 and tk8.3 (closes: #117186).
    - The octave-plplot package is totally new and has been integrated
      into the upstream sources of PLplot (closes: #91308).  Octave
      bindings are working correctly now (closes: #158446).  In
      particular, the plplot_octave-demo.m script works fine (closes: #69710).
    - use_plplot.m works correctly now (closes: #181875, closes: #74908),
      and all the files are found in the LOADPATH of Octave (closes: #179224).
    - Python examples should run now, thanks to the new dynamic drivers
      scheme (closes: #92150).
    - All PLplot manpages have proper whatis entries nows (closes: #100867).
    - Dependences on tk8.3-dev have been dropped (closes: #167412).
    - Build failure on sparc, due to bad c++ command line options should
      be fixed now (it was already in David's NMU, closes: #86880).
    - Packages should be fully installable in unstable (closes: #161569).
    - "octave2.1-headers | octave2.0-headers" have been added to
      Build-Depends, so that octave-plplot can be built from source
      (closes: 117708).
    - Packages build correctly on m68k (fixed in David's NMU,
      closes: #159807).
    - A problem in setting up octave2.1 has been fixed in Dirk
      Eddelbuettel's NMU (closes: #123700).
    - There is no plplot-bin package anymore.  Also, there is no
      dependency on nonexistent ghostscript package (closes: #136358).
    - The build failure due to a wrong Python directory has been fixed
      (closes:  #159811).
  * debian/control: Added warning message telling that the packages are
    experimental.
  * plplot-doc.prerm: Calling install-info with the correct number of
    arguments (closes: #182509).

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 28 Feb 2003 18:52:55 +0100

plplot (5.2.0.cvs.20030227-1) unstable; urgency=low

  * Built with new CVS sources.  Many DocBook related configuration
    problems have been fixed.
  * debian/rules: Added config-stamp creation to avoid double run of
    configure.  Run configure with --enable-docbook now.
  * debian/plplot-doc.prerm: Added file.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 27 Feb 2003 23:19:45 +0100

plplot (5.2.0.cvs.20030225-1) unstable; urgency=low

  * Built with new CVS sources.  Some rpath problems have been fixed, so
    that the package is Lintian clean as regard the rpath.
  * Created new package plplot-tcl-dev.
  * debian/rules: Give option --without-rpath to configure.
  * debian/control: Removed dependencies on packages necessary for
    compiling the DocBook documentation, since they will be available in
    the upstream distribution tarball.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Feb 2003 14:05:53 +0100

plplot (5.2.0.cvs.20030224-1) unstable; urgency=low

  * Built with new CVS sources.  The info files and man pages are now
    included in the plplot-doc package.  There is also a new PLplot driver
    (mem).
  * debian/control: Added Build-Dependencies to Perl modules needed to
    generate the info form of documentation from the Docbook sources.
    Added build-dependency to libfreetype6-dev.  Added plplot-xwin
    dependency to plplot-tcl.
  * debian/plplot-doc.files: Added paths for info and man.
  * debian/rules: Give options --infodir and --with-freetype to
    configure.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Feb 2003 16:36:52 +0100

plplot (5.2.0.cvs.20030219-1) unstable; urgency=low

  * Built with new CVS sources.  The plplot_octave.oct file is installed
    in localoctfiledir, instead of octfiledir.  This avoids the versioned
    installation directory.
  * debian/control: octave-plplot does not depend anymore on a specific
    version of Octave.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Feb 2003 12:06:33 +0100

plplot (5.2.0.cvs.20030218-2) unstable; urgency=low

  * Something was strangely broken with the inclusion of files in the
    plplot-doc package, probably related to an extraneous config.cache
    file.  Fixed now.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 18 Feb 2003 21:37:44 +0100

plplot (5.2.0.cvs.20030218-1) unstable; urgency=low

  * Built with new CVS sources, with improved installation of Octave files.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 18 Feb 2003 18:08:44 +0100

plplot (5.2.0.cvs.20030217-1) unstable; urgency=low

  * Built with new CVS sources.
  * debian/rules:
    - Removed hacks for getting the Octave files correctly installed,
      since this is fixed in CVS now.
    - Added command to remove config.log and config.status files.  This
      makes lintian happy.
  * debian/octave-plplot.files: Included usr/share/doc/libplplot5/*.octave

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 Feb 2003 18:34:29 +0100

plplot (5.2.0.cvs.20030214-1) unstable; urgency=low

  * New upstream release, built directly from the CVS sources.
  * These packages are still experimental and are provided to help the
    preparation to the next upstream release (probably 5.2.1).
  * There has been a huge reorganization of the packages, thanks to the new
    dynamical loading of driver modules.  There has been too many changes to
    report here.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 16 Feb 2003 21:16:34 +0100

plplot (5.1.0-1.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Update for python-2.2 (Closes: #159807, #159811, #161569)
  # reenable plplot-python on all architectures
  * change Recommends: ghostscript (Closes: #136358)
  * Depend on autoconf-2.13, since scripts are broken for 2.50

 -- David Schleef <ds@schleef.org>  Fri, 11 Oct 2002 13:25:28 -0700

plplot (5.1.0-1) unstable; urgency=low

  * Non-Maintainer Upload
  * New upstream version (Closes: #101264)
  * handle changing of name of libplmatrixd to libtclmatrixd.  Since
    this library is only used by libplplotd, it is not a ABI change.
    libtclmatrixd should probably be in a separate directory or linked
    directly with libplplotd -- this needs to be coordinated with
    upstream, and may also be moot once this packaged is changed to
    use loadable modules for the drivers.

 -- David Schleef <ds@schleef.org>  Thu, 15 Aug 2002 18:31:37 -0700

plplot (5.0.2-1.1) unstable; urgency=low

  * NMU
  * Fix hppa build problems. Closes: #141723
  * Remove 'potato' from version number.

 -- LaMont Jones <lamont@debian.org>  Sun,  7 Apr 2002 21:22:06 -0600

plplot (5.0.2-0.potato.3.2) unstable; urgency=low

  * Non-Maintainer Upload
  * debian/control, debian/rules: plplot indirectly Build-Depends
    on lapack to build python-plplot.  Since lapack is only available
    on a few architectures, this causes problems building the other
    packages on all architectures.  Fixed to Build-Depend and build
    python-plplot only on working architectures.

 -- David Schleef <ds@schleef.org>  Fri, 15 Mar 2002 20:49:18 -0500

plplot (5.0.2-0.potato.3.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fix build dependencies (Closes: #92344, #98119, #102014)
  * cf/syslog.in: backport configure rules for tcl/itcl and python2.1
    (fixes new build problems)
  * debian/control: add dependencies to plplot-dev (Closes: #101392)
  * remove use of {} globbing in debian/rules (Closes: #101259)
  * debian/changelog: removed emacs settings
  * debian/control: change the tk/tcl build dependencies to 8.3
  * debian/*: update for python2.1
  * debian/control: fix python dependencies to coorespond to policy
  * debian/control: remove dependency on itk3.1, since it's added by
    ${shlibs:Depends}
  * debian/*.shlibs: Added shlibs files
    Note: the libplmatrix entry in plplot-tcl.shlibs specifies
    plplot-xwin, but plplot-xwin doesn't actually have the
    library.  This is ok, since it should only be used by
    libplplotd.so.
  * Fixed packages interdependencies and added ${shlibs:Depends}
    where appropriate
  * Fixed postinst, prerm scripts to use debhelper

 -- David Schleef <ds@schleef.org>  Sun, 17 Feb 2002 18:51:57 -0800

plplot (5.0.2-0.potato.3) unstable; urgency=low

  * debian/control: Made plplot-common conflict and replace plplot <<
    5.0.2, because plplot-common took over plplot's FAQ file.  Thanks to
    Jim LewisMoss <dres@mindspring.com> (closes: #90846).
  * Removed some useless debian/*.dirs files, particularly
    plplot-tcl.dirs, which was creating a wrong directory
    /usr/lib/plplot5.0.1 (!).
  * Added more build dependencies, based on the buildd report on Sparc.
    Also, patched cf/sysloc.in to have configure finding the file tcl.h.
    Thanks to Ben Collins <bcollins@debian.org> (closes: #91228).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 26 Mar 2001 17:34:01 +0200

plplot (5.0.2-0.potato.2) unstable; urgency=low

  * Removed a extraneous file in the upstream directory.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 22 Mar 2001 16:47:49 +0100

plplot (5.0.2-0.potato.1) unstable; urgency=low

  * New upstream release.
  * Backported patch from CVS for using fseek/ftell everywhere to
    eliminate non-portable behavior (closes: #86512).
  * Changes in the upstream configuration file for making the installation
    relocatable.  This will be hopefully integrated upstream in the next
    release of PLplot, and the Debian diff file will be reduced to files
    in the debian/ directory.
  * debian/plplot-doc.doc-base, debian/plplot-doc.files: Added files.
  * debian/plplot-doc.postinst: Added file for installing info files.
  * Added html, pdf, ps, and info forms of the PLplot manual to the
    plplot-doc package.
  * debian/plplot-dev.files: Added man pages generated from the DocBook
    API documentation.
  * debian/rules: Added commands for installing files into the plplot-doc
    and plplot-dev packages.
  * debian/control: Make plplot-doc conflict with plplot << 5.  This is
    because of the info files.
  * debian/plplot-*.README.Debian: Updated.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 22 Mar 2001 14:14:35 +0100

plplot (5.0.1-0.potato.5) unstable; urgency=low

  * debian/control: Changed section of plplot-dev to devel (to avoid mail
    notification sent by dinstall, that overrides my choice).  Made
    plplot-tcl depend on iwidgets3.1 (which is needed to run example
    tk02).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 19 Feb 2001 12:29:25 +0100

plplot (5.0.1-0.potato.4) unstable; urgency=low

  * debian/rules: Excluding examples/ dir from list of compressible files
    by dh_compress.
    Make x16.py non-executable, since it is lacking the initial #! line.
    Give explicit -l options for dh_shlibdeps for packages plplot-tcl and
    plplot-xwin.  This will avoid the wrong dependencies that were being
    generated.
  * debian/control: Build-depends on iTcl.  This will make the plplot-tcl
    package [incr Tcl]-able.  This is needed to run the tk/tk01 and
    tk/tk04 examples (thanks to Alan Irwin <irwin@beluga.phys.uvic.ca> for
    pointing this out).  Also, made plplot-tcl depend on itk3.1.
  * examples/c/plcdemos.h: Removed #definition of PL_DOUBLE, as it is
    already done by plConfig.h.
  * cf/sysloc.in: Added /usr/include/itcl3.1/generic to incdirs_default.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 15 Feb 2001 13:47:16 +0100

plplot (5.0.1-0.potato.3) unstable; urgency=low

  * debian/control: Make plplot-common conflict with older version of
    plplot.  This makes a smooth upgrade.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 13 Feb 2001 12:53:09 +0100

plplot (5.0.1-0.potato.2) unstable; urgency=low

  * debian/control: Better descriptions for plplot-c++ and plplot-common
    (thanks to Alan Irwin <irwin@beluga.phys.uvic.ca>).  Added "Replaces:"
    fields to plplot-xwin and plplot-tcl.  The dependencies now are
    simplified thanks to the use of a virtual package plplot-lib.
  * debian/plplot-doc.files: Removed file.
  * debian/plplot-dev.files: Addded usr/include.  This will put the header
    files into plplot-dev (thanks again to Alan).
  * Created new package plplot-bin with pltek, plpr and plm2gif, which
    were before in plplot-common.  This was causing circular dependency
    problems.
  * debian/plplot-common.files: Get some files that were wrongly going
    into the "empty" package plplot.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 13 Feb 2001 12:21:20 +0100

plplot (5.0.1-0.potato.1) unstable; urgency=low

  * New upstream release.  Starting with version 5.0.0, PLplot entered a
    new development phase.  The project is now hosted at SourceForge
    (http://plplot.sourceforge.net) and the current Debian maintainer is
    also involved with upstream development.
  * This release works with potato (hence the release number).
  * There has been an overall reorganisation of the packages.  There is
    now a package called plplot-common, containing the data files.
    plplot-xwin and plplot-tcl are both exclusive and contain the shared
    libs.  plplot-c++ has the C++ bindings shared lib.  python-plplot is
    working with Python 1.5 and has been reintroduced.  plplot-doc is for
    now just a boilerplate package, waiting for the DocBook docs to be
    introduced in PLplot 5.0.2.
  * Prompt flush for pltcl is working now (closes: #58273).
  * debian/control:
    - Upgraded Standards-Version to 3.1.0.
    - Added Build-Depends.
    - Forced conflict between plplot and plplot-tcl packages.
    - New descriptions for packages plplot-dev and plplot-doc to reflect
      the fact that examples go into plplot-dev and plplot-doc is just a
      placeholder for future inclusion of the documentation in DocBook
      format.
    - Updated URL location of the PLplpot website.
    - Reintroduced entry for python-plplot.  Updated its dependency on
      plplot-tcl.
  * debian/postinst: Place "exit 0" at the right place, allowing debhelper
    added code to be executed (closes: #77997).  Also, removed code for
    installing info manual.  In the future, this will go in pakcage
    plplot-doc.
  * debian/rules: Major rewrite to reflect the new features of upstream
    build and install.  The main novelty here is the capability of
    doing make install with another $prefix than that used for building.
  * debian/*.{docs,files}: Heavily modified to reflect the new upstream
    version.
  * debian/control-python, debian/fix-tk-path.pl, debian/postrm,
    debian/python-exec-header, debian/python-plplot.postinst.debhelper,
    debian/python-plplot.prerm.debhelper: Removed files.
  * debian/plplot-980407-plplot-980407-new.patch: Removed this obsolete
    file.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 12 Feb 2001 16:51:09 +0100

plplot (4.99j-11) frozen unstable; urgency=low

  * Added --disable-linuxvga to configure options fixing an important bug
    report (closes: #65216).
  * The lib*tk files are moved to the right package now (plplot-tcl).
    This fixes the unnecessary dependency of the bare library package
    (plplot) on the TCl/Tk libraries.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed,  7 Jun 2000 18:00:18 +0200

plplot (4.99j-10) unstable; urgency=low

  * debian/rules:
    - Using option --without-f2c with ./configure.  This should avoid the
      build problems when the package f2c (which provides /usr/bin/fc) is
      installed (closes: #30944).
    - Erase empty dir usr/share/doc/examples after dh_movefiles.  This
      prevents the plplot from having junk in it.
  * debian/control: Excluded problematic package python-plplot.  Created
    file debian/control-pyhton for easy reversal in the future (closes:
    #33150).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon,  8 Nov 1999 12:17:27 +0100

plplot (4.99j-9) unstable; urgency=low

  * Added "#define PLPLOT_DOUBLE" to plcdemos.h.  This will allow
    compilation of the examples, due to the lacking of `PLPLOT_DOUBLE'
    definition (Closes: #49120, #36993).  Also added a note in
    plplot-dev.README.Debian indicating how to compile correctly.
  * FHS compliant.
  * Upgraded to Standards-Version 3.0.1 (requires debhelper >= 2.0.68).
  * debian/copyright: Right location for the LGPL.
  * cf/sysconf.in: Added `SHLIB_F77FLAGS="-fpic -fPIC"'.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Sat,  6 Nov 1999 21:01:13 +0100

plplot (4.99j-8) frozen unstable; urgency=low

  * Recompiled with new release of libc6 (cf discussion in debian-devel
    starting at
    http://www.debian.org/Lists-Archives/debian-devel-9812/msg00998.html).
  * Changed LDC in cf/sysconf.in to F77 (link with gcc complains because
    it is lacking symbols from g77).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 11 Dec 1998 22:20:08 +0100

plplot (4.99j-7) frozen unstable; urgency=low

  * Set Conflicts relationship because files were moved around in the
    latest release (Fixes Bug#29694, reported by  Francesco Potorti`
    <F.Potorti@cnuce.cnr.it>).
  * Rebuilt to fix bogus dependency on tkstep8.0 (closes Bug#29704
    reported by Matthias Klose <doko@cs.tu-berlin.de>)

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 19 Nov 1998 16:33:24 +0100

plplot (4.99j-6) frozen unstable; urgency=low

  * Uploading to frozen and unstable.  (The previous release, 4.99j-5, was
    rejected and I never reuploaded it.)
  * Revamped debian/rules with use of variables for the debian dirs.
  * Corrected typo in plplot-dev.README (closes Bug#28534).
  * No compression of executable exemples in package plplot-doc.
  * Fixed paths only for tk* scripts under /usr/doc/plplot/examples/tk.
  * Fixed permission for plcolor.tcl and tkdemos.tcl.
  * Fixed path for script x16.py (in plplot-doc).
  * Moved library files libMatrix and libplplotdtk from plplot-tcl to
    plplot.
  * Moved info file from the plplot-doc package to the base package
    plplot: this is the only documentation availalbe for the PLplot API.
  * Fixed typo ("\*") in debhelper compress files.
  * Fixed the problem related to the naming of shared libraries.
  * Improved "Description:" fields in debian/control:
    - Added "a scientific library" to first line (as suggested by
      Christopher J. Fearnley <cjf@I21.com>).
    - Included URL of PLplot homepage for each package.
  * dh_shlibdeps does not act on package python-plplot.
  * postinst and postrm test now for its argument.
  * Rewrote README.Debian files.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 13 Nov 1998 03:02:34 +0100

plplot (4.99j-5) unstable; urgency=low

  * Build with patch from Joao Cardoso <jcardoso@inescn.pt> for Octave
    interface.  The patch file is included in the debian/ directory.
  * The orig.tar.gz and the diff.gz files were absent from 4.99j-4
    upload.  This is corrected now (bug reported by Paul Slootman
    <paul@wau.mis.ah.nl>).
  * Corrected sed expression for fixing the #! path in Python scripts
  * Corrected bug in debian/compress file which was causing compression of
    executable scripts under usr/doc/plplot/examples.
  * Created plplot-tcl.postinst with a call to ldconfig, as plplot-tcl
    includes shared libraries.
  * Links to the shared library are now Policy compliant, i.e. their names
    have only one number after .so.
  * debian/shlibs.local is renamed to debian/shlibs, and
    debian/plplot-tcl.shlibs is created.
  * The scripts installed under usr/lib/tcl8.0/plplot/ should not be
    executable.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed, 14 Oct 1998 16:42:08 +0200

plplot (4.99j-4) unstable; urgency=low

  * debian/fix-tk-path.pl script is chmod'd in debian/rules files: now
    fixes really first part of Bug#26935.  Fix suggested by Paul Slootman
    <paul@wau.mis.ah.nl>.
  * debian/control: plplot-doc architecture is now "all" and is compiled
    in the binary-indep section of debian/rules (suggested by
    Paul Slootman <paul@wau.mis.ah.nl>).  In order to do that, big changes
    in debian/rules were done.  Hope I did not screw things up.
  * debian/rules: Corrected hideous bug in chmod mode switches: "chmod -x"
    should be "chmod +x".
  * Corrected some typos in debian/control, debian/copyright.
  * cf/pkg_tcl.in: put number version in libMatrix.so (changed
    README.Debian to document the fix).
  * Moved libMatrix.so and libMatrix.a to plplot-dev package.
  * Moved libMatrix.so.* and libplplotdtk.so.* to plplot-tcl package, and
    made plplot-dev depend on plplot-tcl (changed debian/control file to
    reflect the changes).
  * I just realized that the upstream Python support works only with
    python-1.4.  I will fix this in the next release.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 13 Oct 1998 20:00:06 +0200

plplot (4.99j-3) unstable; urgency=low

  * debian/rules: fixing Python path for python scripts is done now with a
    sed command (get rid of debian/fix-python-path.pl).  Suggested by
    Matthias Klose <doko@cs.tu-berlin.de>.
  * Change in upstream file utils/pltek.c: gcc 2.7.2.3 deprecates the use
    of gets
  * Corrected file debian/plplot-dev.files, in order to have the files
    libMatrix.* included in the right package (plplot).
  * Make plplot conflict with plplot-dev for versions previous to this
    one, because of the move of libMatrix.*.
  * Changed mode of debian/fix-tk-path.pl script to executable (fixes
    first part of Bug#26935).
  * Building is now done entirely under debian/tmp (fixes second part of
    Bug#26935).
  * Buildning now `with double' instead of `with float', as required for
    the PLplot Octave interface.  Also, all instances of `libplotf*' were
    changed to `libplotd*' (in debian/rules and in debian/*.files).
  * /usr/lib/libplplotdtk.so.* files moved to the plplot package (they were
    in plplot-tcl): this fixes the problem of installing the plplot-dev
    package with a dangling symlink.
  * Removed file debian/dirs, which had no function at all.
  * Tcl/Tk and Python scripts under /usr/doc/plplot/examples are now
    executable.
  * fix-tk-path.pl: corrected "/example/" -> "/examples/"

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 12 Oct 1998 15:20:26 +0200

plplot (4.99j-2) unstable; urgency=low

  * Using debhelper 0.93 : README.Debian files are installed automatically
    by dh_installdocs
  * Fixed some problems found by Matthias Klose <doko@cs.tu-berlin.de>.
    Danke Matthias!
  * Corrected typo in fix-pytho-path.pl, that made all python examples
    have size equal to zero.
  * examples/Makefile has now correct references to /usr directories
  * Scripts under /usr/doc/plplot/examples are no more compressed
  * Tk scripts under /usr/doc/examples/tk have now the right path after
    `#!'
  * Added dependency python-tk to python-plplot

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 22 Jun 1998 21:53:26 +0200

plplot (4.99j-1) experimental; urgency=low

  * Initial Release.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Sat, 13 Jun 1998 00:50:50 +0200
